diff --git a/changelog b/changelog
index 61ad29b..4cf9a3f 100644
--- a/changelog
+++ b/changelog
@@ -1,6 +1,10 @@
+20130723 tpd src/axiom-website/patches.html 20130722.01.tpd.patch
+20130723 tpd src/axiom-website/CATS/rich1b.input
+20130723 tpd src/axiom-website/CATS/rich1b.input.pdf
+20130723 tpd src/input/rich1b.input
 20130722 tpd src/axiom-website/patches.html 20130722.01.tpd.patch
 20130722 tpd src/axiom-website/CATS/rich1a.input
-20130722 tpd src/axiom-website/CATS/rich1a.input.pdf 
+20130722 tpd src/axiom-website/CATS/rich1a.input.pdf
 20130722 tpd src/input/rich1a.input
 20130721 tpd src/axiom-website/patches.html 20130721.01.tpd.patch
 20130721 tpd src/input/rich2.input
diff --git a/src/axiom-website/CATS/rich1b.input.pamphlet b/src/axiom-website/CATS/rich1b.input.pamphlet
index 40252a5..7234288 100644
--- a/src/axiom-website/CATS/rich1b.input.pamphlet
+++ b/src/axiom-website/CATS/rich1b.input.pamphlet
@@ -6,6 +6,25 @@
 \author{Albert Rich and Timothy Daly}
 \maketitle
 \begin{abstract}
+There are:
+\begin{itemize}
+\item 578 integrals in this file.
+\item 578 supplied "optimal results".
+\item 467 matching answers. (436 first matches, 31 second matches)
+\item 31 cases where Axiom supplied 2 results.
+\item 99 cases that Axiom failed to integrate.
+\item 28 that contain expressions Axiom does not recognize.
+\end{itemize}
+There are two classes of failures. Axiom claims 
+\begin{verbatim}
+   integrate: implementation incomplete (non-algebraic residues)
+\end{verbatim}
+but will generate a correct integral if it is re-tried a few times.
+
+Some of the results will only simplify to zero if you assume that
+square roots only use the positive branch. Axiom does not like to
+make this assumption so it will not simplify to zero such things as:
+\[\sqrt(3)\sqrt(7)\sqrt(21)-21\]
 \end{abstract}
 \eject
 \tableofcontents
@@ -4133,18 +4152,10 @@ m0000:=a0000 - r0000
 --E 249
 
 --S 250 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R        3 3  n log(b x + a)            n + 3               n + 2
---R       b x %e               - (b x + a)      + 3a (b x + a)
---R     + 
---R           2         n + 1    3         n
---R       - 3a (b x + a)      + a (b x + a)
---R  /
---R      3
---R     b
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 250
 
@@ -4212,15 +4223,10 @@ m0000:=a0000 - r0000
 --E 254
 
 --S 255 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R    2 2  n log(b x + a)            n + 2               n + 1    2         n
---R   b x %e               - (b x + a)      + 2a (b x + a)      - a (b x + a)
---R   ------------------------------------------------------------------------
---R                                       2
---R                                      b
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 255
 
@@ -4276,13 +4282,10 @@ m0000:=a0000 - r0000
 --E 259
 
 --S 260 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R              n log(b x + a)            n + 1              n
---R        b x %e               - (b x + a)      + a (b x + a)
---R   (5)  ----------------------------------------------------
---R                                  b
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 260
 
@@ -4331,11 +4334,10 @@ m0000:=a0000 - r0000
 --E 264
 
 --S 265 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R          n log(b x + a)            n
---R   (5)  %e               - (b x + a)
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 265
 
@@ -4525,36 +4527,10 @@ m0000:=a0000 - r0000
 --E 284
 
 --S 285 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                     2 n - 2                     n - 3
---R                 - 2b x      + (- 2a b n + 4a b)x
---R               + 
---R                     2 2     2      2  n - 4
---R                 (- a n  + 5a n - 6a )x
---R          *
---R                      - n + 1
---R             (b x + a)
---R         + 
---R                   3 n - 1        2        2  n - 2
---R                 2b x      + (2a b n - 2a b )x
---R               + 
---R                   2   2     2        2   n - 3
---R                 (a b n  - 3a b n + 2a b)x
---R          *
---R                      - n
---R             (b x + a)
---R      *
---R           n log(b x + a)
---R         %e
---R     + 
---R         3 2     3      3   (n - 4)log(x)
---R       (a n  - 5a n + 6a )%e
---R  /
---R       3 2     3      3   n log(b x + a)
---R     (a n  - 5a n + 6a )%e
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 285
 
@@ -4614,24 +4590,10 @@ m0000:=a0000 - r0000
 --E 289
 
 --S 290 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                 n - 2                n - 3          - n + 1
---R           (- b x      + (- a n + 2a)x     )(b x + a)
---R         + 
---R             2 n - 1                 n - 2          - n
---R           (b x      + (a b n - a b)x     )(b x + a)
---R      *
---R           n log(b x + a)
---R         %e
---R     + 
---R         2      2   (n - 3)log(x)
---R       (a n - 2a )%e
---R  /
---R       2      2   n log(b x + a)
---R     (a n - 2a )%e
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 290
 
@@ -4685,18 +4647,10 @@ m0000:=a0000 - r0000
 --E 294
 
 --S 295 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R           n - 2         - n + 1      n - 1         - n   n log(b x + a)
---R       (- x     (b x + a)        + b x     (b x + a)   )%e
---R     + 
---R           (n - 2)log(x)
---R       a %e
---R  /
---R         n log(b x + a)
---R     a %e
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 295
 
@@ -5097,18 +5051,10 @@ m0000:=a0000 - r0000
 --E 344
 
 --S 345 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                   n 2  (- n - 1)log(b x + a)  (n - 1)log(x)    n - 1         n
---R       a ((b x + a) ) %e                     %e              - x     (b x + a)
---R     + 
---R          n         n - 1
---R       b x (b x + a)
---R  /
---R                 n 2
---R     a ((b x + a) )
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 345
 
@@ -5165,21 +5111,10 @@ m0000:=a0000 - r0000
 --E 349
 
 --S 350 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R         2      2   (- n - 3)log(x)  n log(b x + a)
---R       (a n + 2a )%e               %e
---R     + 
---R           - n - 2                - n - 3          n + 1
---R       (b x        + (- a n - 2a)x       )(b x + a)
---R     + 
---R           2 - n - 1                 - n - 2          n
---R       (- b x        + (a b n + a b)x       )(b x + a)
---R  /
---R      2      2
---R     a n + 2a
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 350
 
@@ -5236,21 +5171,10 @@ m0000:=a0000 - r0000
 --E 354
 
 --S 355 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R         2      2   (- n - 3)log(x)  n log(b x + a)
---R       (a n + 2a )%e               %e
---R     + 
---R           - n - 2                - n - 3          n + 1
---R       (b x        + (- a n - 2a)x       )(b x + a)
---R     + 
---R           2 - n - 1                 - n - 2          n
---R       (- b x        + (a b n + a b)x       )(b x + a)
---R  /
---R      2      2
---R     a n + 2a
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 355
 
@@ -5680,14 +5604,10 @@ m0000:=a0000 - r0000
 --E 394
 
 --S 395 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                  m log(b x + a)              m + 1                       m
---R   (b d x + b c)%e               - d (b x + a)      + (a d - b c)(b x + a)
---R   ------------------------------------------------------------------------
---R                                       b
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 395
 
@@ -6348,18 +6268,10 @@ m0000:=a0000 - r0000
 --E 449
 
 --S 450 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R         2 2 2     2         2 2   m log(b x + a)    2         m + 2
---R       (b d x  + 2b c d x + b c )%e               - d (b x + a)
---R     + 
---R            2                   m + 1       2 2               2 2          m
---R       (2a d  - 2b c d)(b x + a)      + (- a d  + 2a b c d - b c )(b x + a)
---R  /
---R      2
---R     b
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 450
 
@@ -7317,24 +7229,10 @@ m0000:=a0000 - r0000
 --E 514
 
 --S 515 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R         3 3 3     3   2 2     3 2       3 3   m log(b x + a)    3         m + 3
---R       (b d x  + 3b c d x  + 3b c d x + b c )%e               - d (b x + a)
---R     + 
---R            3         2          m + 2
---R       (3a d  - 3b c d )(b x + a)
---R     + 
---R            2 3           2     2 2           m + 1
---R       (- 3a d  + 6a b c d  - 3b c d)(b x + a)
---R     + 
---R         3 3     2     2       2 2     3 3          m
---R       (a d  - 3a b c d  + 3a b c d - b c )(b x + a)
---R  /
---R      3
---R     b
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 515
 
@@ -9888,63 +9786,10 @@ m0000:=a0000 - r0000
 --E 594
 
 --S 595 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R            7 7 7     7   6 6      7 2 5 5      7 3 4 4      7 4 3 3
---R           b d x  + 7b c d x  + 21b c d x  + 35b c d x  + 35b c d x
---R         + 
---R              7 5 2 2     7 6       7 7
---R           21b c d x  + 7b c d x + b c
---R      *
---R           m log(b x + a)
---R         %e
---R     + 
---R          7         m + 7        7         6          m + 6
---R       - d (b x + a)      + (7a d  - 7b c d )(b x + a)
---R     + 
---R             2 7            6      2 2 5          m + 5
---R       (- 21a d  + 42a b c d  - 21b c d )(b x + a)
---R     + 
---R           3 7       2     6         2 2 5      3 3 4          m + 4
---R       (35a d  - 105a b c d  + 105a b c d  - 35b c d )(b x + a)
---R     + 
---R               4 7       3     6       2 2 2 5         3 3 4      4 4 3
---R         (- 35a d  + 140a b c d  - 210a b c d  + 140a b c d  - 35b c d )
---R      *
---R                  m + 3
---R         (b x + a)
---R     + 
---R              5 7       4     6       3 2 2 5       2 3 3 4         4 4 3
---R           21a d  - 105a b c d  + 210a b c d  - 210a b c d  + 105a b c d
---R         + 
---R                5 5 2
---R           - 21b c d
---R      *
---R                  m + 2
---R         (b x + a)
---R     + 
---R               6 7      5     6       4 2 2 5       3 3 3 4       2 4 4 3
---R           - 7a d  + 42a b c d  - 105a b c d  + 140a b c d  - 105a b c d
---R         + 
---R                5 5 2     6 6
---R           42a b c d  - 7b c d
---R      *
---R                  m + 1
---R         (b x + a)
---R     + 
---R            7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
---R           a d  - 7a b c d  + 21a b c d  - 35a b c d  + 35a b c d  - 21a b c d
---R         + 
---R               6 6     7 7
---R           7a b c d - b c
---R      *
---R                  m
---R         (b x + a)
---R  /
---R      7
---R     b
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 595
 
@@ -18407,96 +18252,10 @@ m0000:=a0000 - r0000
 --E 729
 
 --S 730 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R            10 10 10      10   9 9      10 2 8 8       10 3 7 7       10 4 6 6
---R           b  d  x   + 10b  c d x  + 45b  c d x  + 120b  c d x  + 210b  c d x
---R         + 
---R               10 5 5 5       10 6 4 4       10 7 3 3      10 8 2 2      10 9
---R           252b  c d x  + 210b  c d x  + 120b  c d x  + 45b  c d x  + 10b  c d x
---R         + 
---R            10 10
---R           b  c
---R      *
---R           m log(b x + a)
---R         %e
---R     + 
---R          10         m + 10         10          9          m + 9
---R       - d  (b x + a)       + (10a d   - 10b c d )(b x + a)
---R     + 
---R             2 10            9      2 2 8          m + 8
---R       (- 45a d   + 90a b c d  - 45b c d )(b x + a)
---R     + 
---R            3 10       2     9         2 2 8       3 3 7          m + 7
---R       (120a d   - 360a b c d  + 360a b c d  - 120b c d )(b x + a)
---R     + 
---R                4 10       3     9        2 2 2 8         3 3 7       4 4 6
---R         (- 210a d   + 840a b c d  - 1260a b c d  + 840a b c d  - 210b c d )
---R      *
---R                  m + 6
---R         (b x + a)
---R     + 
---R               5 10        4     9        3 2 2 8        2 3 3 7          4 4 6
---R           252a d   - 1260a b c d  + 2520a b c d  - 2520a b c d  + 1260a b c d
---R         + 
---R                 5 5 5
---R           - 252b c d
---R      *
---R                  m + 5
---R         (b x + a)
---R     + 
---R                 6 10        5     9        4 2 2 8        3 3 3 7
---R           - 210a d   + 1260a b c d  - 3150a b c d  + 4200a b c d
---R         + 
---R                  2 4 4 6          5 5 5       6 6 4
---R           - 3150a b c d  + 1260a b c d  - 210b c d
---R      *
---R                  m + 4
---R         (b x + a)
---R     + 
---R               7 10       6     9        5 2 2 8        4 3 3 7        3 4 4 6
---R           120a d   - 840a b c d  + 2520a b c d  - 4200a b c d  + 4200a b c d
---R         + 
---R                  2 5 5 5         6 6 4       7 7 3
---R           - 2520a b c d  + 840a b c d  - 120b c d
---R      *
---R                  m + 3
---R         (b x + a)
---R     + 
---R                8 10       7     9        6 2 2 8        5 3 3 7        4 4 4 6
---R           - 45a d   + 360a b c d  - 1260a b c d  + 2520a b c d  - 3150a b c d
---R         + 
---R                3 5 5 5        2 6 6 4         7 7 3      8 8 2
---R           2520a b c d  - 1260a b c d  + 360a b c d  - 45b c d
---R      *
---R                  m + 2
---R         (b x + a)
---R     + 
---R              9 10      8     9       7 2 2 8       6 3 3 7        5 4 4 6
---R           10a d   - 90a b c d  + 360a b c d  - 840a b c d  + 1260a b c d
---R         + 
---R                  4 5 5 5       3 6 6 4       2 7 7 3        8 8 2      9 9
---R           - 1260a b c d  + 840a b c d  - 360a b c d  + 90a b c d  - 10b c d
---R      *
---R                  m + 1
---R         (b x + a)
---R     + 
---R              10 10      9     9      8 2 2 8       7 3 3 7       6 4 4 6
---R           - a  d   + 10a b c d  - 45a b c d  + 120a b c d  - 210a b c d
---R         + 
---R               5 5 5 5       4 6 6 4       3 7 7 3      2 8 8 2        9 9
---R           252a b c d  - 210a b c d  + 120a b c d  - 45a b c d  + 10a b c d
---R         + 
---R              10 10
---R           - b  c
---R      *
---R                  m
---R         (b x + a)
---R  /
---R      10
---R     b
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 730
 
@@ -29232,14 +28991,7 @@ t0000:=(a+b*x)^m/(c+d*x)
 --E 907
 
 --S 908 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x            m
---R         ++  (%BJ b + a)
---R   (2)   |   ------------ d%BJ
---R        ++     %BJ d + c
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 908
 
 --S 909 of 2952
@@ -29849,15 +29601,7 @@ t0000:=(a+b*x)^m/(c+d*x)^2
 --E 957
 
 --S 958 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x                 m
---R         ++       (%BJ b + a)
---R   (2)   |   ---------------------- d%BJ
---R        ++      2 2               2
---R             %BJ d  + 2%BJ c d + c
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 958
 
 --S 959 of 2952
@@ -30565,15 +30309,7 @@ t0000:=(a+b*x)^m/(c+d*x)^3
 --E 1007
 
 --S 1008 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x                       m
---R         ++             (%BJ b + a)
---R   (2)   |   ---------------------------------- d%BJ
---R        ++      3 3       2   2         2     3
---R             %BJ d  + 3%BJ c d  + 3%BJ c d + c
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 1008
 
 --S 1009 of 2952
@@ -43129,7 +42865,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 1586
 
---S 1587 of 2952
+--S 1587 of 2952 cannot assume positive sqrts
 d0000:=D(m0000,x)
 --R 
 --R
@@ -49549,7 +49285,7 @@ t0000:=1/(sqrt(a+b*x)*sqrt(4+a+b*x))
 --R                                                    Type: Expression(Integer)
 --E 1913
 
---S 1914 of 2952
+--S 1914 of 2952 
 r0000:=2*asinh(1/2*sqrt(a+b*x))/b
 --R 
 --R
@@ -49562,7 +49298,7 @@ r0000:=2*asinh(1/2*sqrt(a+b*x))/b
 --R                                                    Type: Expression(Integer)
 --E 1914
 
---S 1915 of 2952 ok to fail, differs by a constant
+--S 1915 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -49573,7 +49309,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 1915
 
---S 1916 of 2952 ok to fail, differs by a constant
+--S 1916 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
@@ -49586,7 +49322,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 1916
 
---S 1917 of 2952
+--S 1917 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
@@ -49620,24 +49356,36 @@ r0000:=2*asinh(1/2*sqrt(2+b*x))/b
 --R                                                    Type: Expression(Integer)
 --E 1919
 
---S 1920 of 2952
+--S 1920 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +-------+    +-------+
+--R        2log(\|b x + 6  + \|b x + 2 )
+--R   (3)  -----------------------------
+--R                      b
+--R                                         Type: Union(Expression(Integer),...)
 --E 1920
 
---S 1921 of 2952
---m0000:=a0000 - r0000
+--S 1921 of 2952 ok to fail, (non-algebraic residues)
+m0000:=a0000 - r0000
+--R 
+--R
+--R                                                +-------+
+--R              +-------+    +-------+           \|b x + 2
+--R        2log(\|b x + 6  + \|b x + 2 ) - 2asinh(----------)
+--R                                                    2
+--R   (4)  --------------------------------------------------
+--R                                 b
+--R                                                    Type: Expression(Integer)
 --E 1921
 
---S 1922 of 2952
---d0000:=D(m0000,x)
+--S 1922 of 2952 ok to fail, (non-algebraic residues)
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
 --E 1922
 
 )clear all
@@ -49666,7 +49414,7 @@ r0000:=2*asinh(1/2*sqrt(1+b*x))/b
 --R                                                    Type: Expression(Integer)
 --E 1924
 
---S 1925 of 2952 ok to fail, differs by a constant
+--S 1925 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -49677,7 +49425,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 1925
 
---S 1926 of 2952 ok to fail, differs by a constant
+--S 1926 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
@@ -49690,7 +49438,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 1926
 
---S 1927 of 2952
+--S 1927 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
@@ -49724,24 +49472,36 @@ r0000:=2*asinh(1/2*sqrt(b*x))/b
 --R                                                    Type: Expression(Integer)
 --E 1929
 
---S 1930 of 2952
+--S 1930 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R                +-------+    +---+
+--R          2log(\|b x + 4  - \|b x )
+--R   (3)  - -------------------------
+--R                      b
+--R                                         Type: Union(Expression(Integer),...)
 --E 1930
 
---S 1931 of 2952
---m0000:=a0000 - r0000
+--S 1931 of 2952 ok to fail, (non-algebraic residues)
+m0000:=a0000 - r0000
+--R 
+--R
+--R                                              +---+
+--R                +-------+    +---+           \|b x
+--R        - 2log(\|b x + 4  - \|b x ) - 2asinh(------)
+--R                                                2
+--R   (4)  --------------------------------------------
+--R                              b
+--R                                                    Type: Expression(Integer)
 --E 1931
 
---S 1932 of 2952
---d0000:=D(m0000,x)
+--S 1932 of 2952 ok to fail, (non-algebraic residues)
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
 --E 1932
 
 )clear all
@@ -49770,7 +49530,7 @@ r0000:=2*asinh(1/2*sqrt(-1+b*x))/b
 --R                                                    Type: Expression(Integer)
 --E 1934
 
---S 1935 of 2952 ok to fail, differs by a constant
+--S 1935 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -49781,7 +49541,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 1935
 
---S 1936 of 2952 ok to fail, differs by a constant
+--S 1936 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
@@ -49794,7 +49554,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 1936
 
---S 1937 of 2952
+--S 1937 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
@@ -49827,39 +49587,40 @@ r0000:=acosh(1/2*b*x)/b
 --R                                                    Type: Expression(Integer)
 --E 1939
 
---S 1940 of 2952
+--S 1940 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +-------+    +-------+
+--R        2log(\|b x + 2  + \|b x - 2 )
+--R   (3)  -----------------------------
+--R                      b
+--R                                         Type: Union(Expression(Integer),...)
 --E 1940
 
---S 1941 of 2952
+--S 1941 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
---R                b x
---R        - acosh(---) + a0000 b
---R                 2
---R   (3)  ----------------------
---R                   b
+--R              +-------+    +-------+          b x
+--R        2log(\|b x + 2  + \|b x - 2 ) - acosh(---)
+--R                                               2
+--R   (4)  ------------------------------------------
+--R                             b
 --R                                                    Type: Expression(Integer)
 --E 1941
 
---S 1942 of 2952
+--S 1942 of 2952 ok to fail, zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
---R               1
---R   (4)  - -----------
---R           +--------+
---R           | 2 2
---R          \|b x  - 4
+--R         +--------+
+--R         | 2 2         +-------+ +-------+
+--R        \|b x  - 4  - \|b x - 2 \|b x + 2
+--R   (5)  ----------------------------------
+--R                               +--------+
+--R           +-------+ +-------+ | 2 2
+--R          \|b x - 2 \|b x + 2 \|b x  - 4
 --R                                                    Type: Expression(Integer)
 --E 1942
 
@@ -49889,39 +49650,35 @@ r0000:=2*asinh(1/2*sqrt(-3+b*x))/b
 --R                                                    Type: Expression(Integer)
 --E 1944
 
---S 1945 of 2952
+--S 1945 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +-------+    +-------+
+--R        2log(\|b x + 1  + \|b x - 3 )
+--R   (3)  -----------------------------
+--R                      b
+--R                                         Type: Union(Expression(Integer),...)
 --E 1945
 
---S 1946 of 2952
+--S 1946 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
---R                  +-------+
---R                 \|b x - 3
---R        - 2asinh(----------) + a0000 b
---R                      2
---R   (3)  ------------------------------
---R                       b
+--R                                                +-------+
+--R              +-------+    +-------+           \|b x - 3
+--R        2log(\|b x + 1  + \|b x - 3 ) - 2asinh(----------)
+--R                                                    2
+--R   (4)  --------------------------------------------------
+--R                                 b
 --R                                                    Type: Expression(Integer)
 --E 1946
 
---S 1947 of 2952
+--S 1947 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
---R                    1
---R   (4)  - --------------------
---R           +-------+ +-------+
---R          \|b x - 3 \|b x + 1
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 1947
 
@@ -50051,7 +49808,7 @@ r0000:=2*asinh(sqrt(1+b*x))/b
 --R                                                    Type: Expression(Integer)
 --E 1959
 
---S 1960 of 2952 ok to fail, differs by a constant
+--S 1960 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -50062,7 +49819,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 1960
 
---S 1961 of 2952 ok to fail, differs by a constant
+--S 1961 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
@@ -50073,7 +49830,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 1961
 
---S 1962 of 2952
+--S 1962 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
@@ -50111,26 +49868,25 @@ r0000:=2*asinh(sqrt(b*x)/sqrt(2))/b
 --S 1965 of 2952
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +-------+    +---+
+--R        2log(\|b x + 2  + \|b x )
+--R   (3)  -------------------------
+--R                    b
+--R                                         Type: Union(Expression(Integer),...)
 --E 1965
 
 --S 1966 of 2952
 m0000:=a0000 - r0000
 --R 
 --R
---R                  +---+
---R                 \|b x
---R        - 2asinh(------) + a0000 b
---R                   +-+
---R                  \|2
---R   (3)  --------------------------
---R                     b
+--R                                            +---+
+--R              +-------+    +---+           \|b x
+--R        2log(\|b x + 2  + \|b x ) - 2asinh(------)
+--R                                             +-+
+--R                                            \|2
+--R   (4)  ------------------------------------------
+--R                             b
 --R                                                    Type: Expression(Integer)
 --E 1966
 
@@ -50138,10 +49894,7 @@ m0000:=a0000 - r0000
 d0000:=D(m0000,x)
 --R 
 --R
---R                  1
---R   (4)  - ----------------
---R           +---+ +-------+
---R          \|b x \|b x + 2
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 1967
 
@@ -50172,7 +49925,7 @@ r0000:=2*asinh(sqrt(-1+b*x)/sqrt(3))/b
 --R                                                    Type: Expression(Integer)
 --E 1969
 
---S 1970 of 2952 ok to fail, differs by a constant
+--S 1970 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -50183,7 +49936,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 1970
 
---S 1971 of 2952 ok to fail, differs by a constant
+--S 1971 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
@@ -50197,7 +49950,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 1971
 
---S 1972 of 2952
+--S 1972 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
@@ -50230,7 +49983,7 @@ r0000:=acosh(1/2*b*x)/b
 --R                                                    Type: Expression(Integer)
 --E 1974
 
---S 1975 of 2952
+--S 1975 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -50241,7 +49994,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 1975
 
---S 1976 of 2952
+--S 1976 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
@@ -50253,7 +50006,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 1976
 
---S 1977 of 2952
+--S 1977 of 2952 ok to fail, zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
@@ -50294,41 +50047,36 @@ r0000:=2*asinh(sqrt(-3+b*x)/sqrt(5))/b
 --R                                                    Type: Expression(Integer)
 --E 1979
 
---S 1980 of 2952
+--S 1980 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +-------+    +-------+
+--R        2log(\|b x + 2  + \|b x - 3 )
+--R   (3)  -----------------------------
+--R                      b
+--R                                         Type: Union(Expression(Integer),...)
 --E 1980
 
---S 1981 of 2952
+--S 1981 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
---R                  +-------+
---R                 \|b x - 3
---R        - 2asinh(----------) + a0000 b
---R                     +-+
---R                    \|5
---R   (3)  ------------------------------
---R                       b
+--R                                                +-------+
+--R              +-------+    +-------+           \|b x - 3
+--R        2log(\|b x + 2  + \|b x - 3 ) - 2asinh(----------)
+--R                                                   +-+
+--R                                                  \|5
+--R   (4)  --------------------------------------------------
+--R                                 b
 --R                                                    Type: Expression(Integer)
 --E 1981
 
--- TPDHERE
---S 1982 of 2952
+--S 1982 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
---R                    1
---R   (4)  - --------------------
---R           +-------+ +-------+
---R          \|b x - 3 \|b x + 2
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 1982
 
@@ -50613,7 +50361,7 @@ r0000:=-2*asinh(sqrt(2-b*x))/b
 --R                                                    Type: Expression(Integer)
 --E 2019
 
---S 2020 of 2952 ok to fail, differs by a constant
+--S 2020 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -50624,7 +50372,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 2020
 
---S 2021 of 2952 ok to fail, differs by a constant
+--S 2021 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
@@ -50635,7 +50383,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 2021
 
---S 2022 of 2952
+--S 2022 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
@@ -50774,40 +50522,36 @@ r0000:=-2*asinh(sqrt(-b*x)/sqrt(2))/b
 --R                                                    Type: Expression(Integer)
 --E 2034
 
---S 2035 of 2952
+--S 2035 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +---------+    +-----+
+--R        2log(\|- b x + 2  - \|- b x )
+--R   (3)  -----------------------------
+--R                      b
+--R                                         Type: Union(Expression(Integer),...)
 --E 2035
 
---S 2036 of 2952
+--S 2036 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
---R                +-----+
---R               \|- b x
---R        2asinh(--------) + a0000 b
---R                  +-+
---R                 \|2
---R   (3)  --------------------------
---R                     b
+--R                                                +-----+
+--R              +---------+    +-----+           \|- b x
+--R        2log(\|- b x + 2  - \|- b x ) + 2asinh(--------)
+--R                                                  +-+
+--R                                                 \|2
+--R   (4)  ------------------------------------------------
+--R                                b
 --R                                                    Type: Expression(Integer)
 --E 2036
 
---S 2037 of 2952
+--S 2037 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
---R                    1
---R   (4)  - --------------------
---R           +-----+ +---------+
---R          \|- b x \|- b x + 2
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2037
 
@@ -50838,41 +50582,36 @@ r0000:=-2*asinh(sqrt(-1-b*x)/sqrt(3))/b
 --R                                                    Type: Expression(Integer)
 --E 2039
 
---S 2040 of 2952
+--S 2040 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +---------+    +---------+
+--R        2log(\|- b x + 2  - \|- b x - 1 )
+--R   (3)  ---------------------------------
+--R                        b
+--R                                         Type: Union(Expression(Integer),...)
 --E 2040
 
---S 2041 of 2952
+--S 2041 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
---R                +---------+
---R               \|- b x - 1
---R        2asinh(------------) + a0000 b
---R                    +-+
---R                   \|3
---R   (3)  ------------------------------
---R                       b
+--R                                                    +---------+
+--R              +---------+    +---------+           \|- b x - 1
+--R        2log(\|- b x + 2  - \|- b x - 1 ) + 2asinh(------------)
+--R                                                        +-+
+--R                                                       \|3
+--R   (4)  --------------------------------------------------------
+--R                                    b
 --R                                                    Type: Expression(Integer)
 --E 2041
 
--- TPDHERE
---S 2042 of 2952
+--S 2042 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
---R                      1
---R   (4)  - ------------------------
---R           +---------+ +---------+
---R          \|- b x - 1 \|- b x + 2
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2042
 
@@ -50901,39 +50640,40 @@ r0000:=-acosh(-1/2*b*x)/b
 --R                                                    Type: Expression(Integer)
 --E 2044
 
---S 2045 of 2952
+--S 2045 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +---------+    +---------+
+--R        2log(\|- b x + 2  - \|- b x - 2 )
+--R   (3)  ---------------------------------
+--R                        b
+--R                                         Type: Union(Expression(Integer),...)
 --E 2045
 
---S 2046 of 2952
+--S 2046 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
---R                b x
---R        acosh(- ---) + a0000 b
---R                 2
---R   (3)  ----------------------
---R                   b
+--R              +---------+    +---------+            b x
+--R        2log(\|- b x + 2  - \|- b x - 2 ) + acosh(- ---)
+--R                                                     2
+--R   (4)  ------------------------------------------------
+--R                                b
 --R                                                    Type: Expression(Integer)
 --E 2046
 
---S 2047 of 2952
+--S 2047 of 2952 ok to fail, zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
---R               1
---R   (4)  - -----------
---R           +--------+
---R           | 2 2
---R          \|b x  - 4
+--R         +--------+
+--R         | 2 2         +---------+ +---------+
+--R        \|b x  - 4  - \|- b x - 2 \|- b x + 2
+--R   (5)  --------------------------------------
+--R                                   +--------+
+--R           +---------+ +---------+ | 2 2
+--R          \|- b x - 2 \|- b x + 2 \|b x  - 4
 --R                                                    Type: Expression(Integer)
 --E 2047
 
@@ -50967,26 +50707,25 @@ r0000:=-2*asinh(sqrt(-3-b*x)/sqrt(5))/b
 --S 2050 of 2952
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +---------+    +---------+
+--R        2log(\|- b x + 2  - \|- b x - 3 )
+--R   (3)  ---------------------------------
+--R                        b
+--R                                         Type: Union(Expression(Integer),...)
 --E 2050
 
 --S 2051 of 2952
 m0000:=a0000 - r0000
 --R 
 --R
---R                +---------+
---R               \|- b x - 3
---R        2asinh(------------) + a0000 b
---R                    +-+
---R                   \|5
---R   (3)  ------------------------------
---R                       b
+--R                                                    +---------+
+--R              +---------+    +---------+           \|- b x - 3
+--R        2log(\|- b x + 2  - \|- b x - 3 ) + 2asinh(------------)
+--R                                                        +-+
+--R                                                       \|5
+--R   (4)  --------------------------------------------------------
+--R                                    b
 --R                                                    Type: Expression(Integer)
 --E 2051
 
@@ -50994,10 +50733,7 @@ m0000:=a0000 - r0000
 d0000:=D(m0000,x)
 --R 
 --R
---R                      1
---R   (4)  - ------------------------
---R           +---------+ +---------+
---R          \|- b x - 3 \|- b x + 2
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2052
 
@@ -51026,39 +50762,40 @@ r0000:=acosh(1/4*b*x)/b
 --R                                                    Type: Expression(Integer)
 --E 2054
 
---S 2055 of 2952
+--S 2055 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +-------+    +-------+
+--R        2log(\|b x + 4  + \|b x - 4 )
+--R   (3)  -----------------------------
+--R                      b
+--R                                         Type: Union(Expression(Integer),...)
 --E 2055
 
---S 2056 of 2952
+--S 2056 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
---R                b x
---R        - acosh(---) + a0000 b
---R                 4
---R   (3)  ----------------------
---R                   b
+--R              +-------+    +-------+          b x
+--R        2log(\|b x + 4  + \|b x - 4 ) - acosh(---)
+--R                                               4
+--R   (4)  ------------------------------------------
+--R                             b
 --R                                                    Type: Expression(Integer)
 --E 2056
 
---S 2057 of 2952
+--S 2057 of 2952 ok to fail, zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
---R                1
---R   (4)  - ------------
---R           +---------+
---R           | 2 2
---R          \|b x  - 16
+--R         +---------+
+--R         | 2 2          +-------+ +-------+
+--R        \|b x  - 16  - \|b x - 4 \|b x + 4
+--R   (5)  -----------------------------------
+--R                               +---------+
+--R           +-------+ +-------+ | 2 2
+--R          \|b x - 4 \|b x + 4 \|b x  - 16
 --R                                                    Type: Expression(Integer)
 --E 2057
 
@@ -54248,7 +53985,7 @@ r0000:=1/3/((1-x)^(3/2)*sqrt(1+x))+2/3*x/sqrt(1-x^2)
 --R                                                    Type: Expression(Integer)
 --E 2404
 
---S 2405 of 2952 
+--S 2405 of 2952 ok to fail, differs by a constant
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -54260,7 +53997,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 2405
 
---S 2406 of 2952 
+--S 2406 of 2952 ok to fail, differs by a constant
 m0000:=a0000 - r0000
 --R 
 --R
@@ -54274,8 +54011,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 2406
 
--- TPDHERE
---S 2407 of 2952
+--S 2407 of 2952 zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
@@ -54317,7 +54053,7 @@ r0000:=1/5/((1-x)^(5/2)*sqrt(1+x))+1/5/((1-x)^(3/2)*sqrt(1+x))+_
 --R                                                    Type: Expression(Integer)
 --E 2409
 
---S 2410 of 2952
+--S 2410 of 2952 ok to fail, differs by a constant
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -54329,7 +54065,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 2410
 
---S 2411 of 2952
+--S 2411 of 2952 ok to fail, differs by a constant
 m0000:=a0000 - r0000
 --R 
 --R
@@ -54343,8 +54079,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 2411
 
--- TPDHERE
---S 2412 of 2952
+--S 2412 of 2952 zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
@@ -54387,7 +54122,7 @@ r0000:=1/7/((1-x)^(7/2)*sqrt(1+x))+4/35/((1-x)^(5/2)*sqrt(1+x))+_
 --R                                                    Type: Expression(Integer)
 --E 2414
 
---S 2415 of 2952
+--S 2415 of 2952 ok to fail, differs by a constant
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -54403,7 +54138,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 2415
 
---S 2416 of 2952
+--S 2416 of 2952 ok to fail, differs by a constant
 m0000:=a0000 - r0000
 --R 
 --R
@@ -54417,8 +54152,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 2416
 
--- TPDHERE
---S 2417 of 2952
+--S 2417 of 2952 zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
@@ -54465,7 +54199,7 @@ r0000:=1/9/((1-x)^(9/2)*sqrt(1+x))+5/63/((1-x)^(7/2)*sqrt(1+x))+_
 --R                                                    Type: Expression(Integer)
 --E 2419
 
---S 2420 of 2952
+--S 2420 of 2952 ok to fail, differs by a constant
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -54481,7 +54215,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 2420
 
---S 2421 of 2952
+--S 2421 of 2952 ok to fail, differs by a constant
 m0000:=a0000 - r0000
 --R 
 --R
@@ -54495,8 +54229,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 2421
 
--- TPDHERE
---S 2422 of 2952
+--S 2422 of 2952 zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
@@ -54930,7 +54663,7 @@ r0000:=1/5/((1-x)^(5/2)*(1+x)^(3/2))+4/15*x/(1-x^2)^(3/2)+8/15*x/sqrt(1-x^2)
 --R                                                    Type: Expression(Integer)
 --E 2464
 
---S 2465 of 2952
+--S 2465 of 2952 ok to fail, differs by a constant
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -54946,7 +54679,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 2465
 
---S 2466 of 2952
+--S 2466 of 2952 ok to fail, differs by a constant
 m0000:=a0000 - r0000
 --R 
 --R
@@ -54965,8 +54698,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 2466
 
--- TPDHERE
---S 2467 of 2952
+--S 2467 of 2952 zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
@@ -55009,7 +54741,7 @@ r0000:=1/7/((1-x)^(7/2)*(1+x)^(3/2))+1/7/((1-x)^(5/2)*(1+x)^(3/2))+_
 --R                                                    Type: Expression(Integer)
 --E 2469
 
---S 2470 of 2952
+--S 2470 of 2952 ok to fail, differs by a constant
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -55025,7 +54757,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 2470
 
---S 2471 of 2952
+--S 2471 of 2952 ok to fail, differs by a constant
 m0000:=a0000 - r0000
 --R 
 --R
@@ -55044,8 +54776,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 2471
 
--- TPDHERE
---S 2472 of 2952
+--S 2472 of 2952 zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
@@ -55126,8 +54857,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 2476
 
--- TPDHERE
---S 2477 of 2952
+--S 2477 of 2952 zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
@@ -55871,24 +55601,10 @@ m0000:=a0000 - r0000
 --E 2536
 
 --S 2537 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R         3 3 3       2 3 2     2   3     3 3   n log(d x + c)    3         n + 3
---R       (b d x  + 3a b d x  + 3a b d x + a d )%e               - b (d x + c)
---R     + 
---R              2      3           n + 2
---R       (- 3a b d + 3b c)(d x + c)
---R     + 
---R            2   2       2        3 2          n + 1
---R       (- 3a b d  + 6a b c d - 3b c )(d x + c)
---R     + 
---R           3 3     2     2       2 2     3 3          n
---R       (- a d  + 3a b c d  - 3a b c d + b c )(d x + c)
---R  /
---R      3
---R     d
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2537
 
@@ -55995,18 +55711,10 @@ m0000:=a0000 - r0000
 --E 2541
 
 --S 2542 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R         2 2 2         2     2 2   n log(d x + c)    2         n + 2
---R       (b d x  + 2a b d x + a d )%e               - b (d x + c)
---R     + 
---R                     2           n + 1       2 2               2 2          n
---R       (- 2a b d + 2b c)(d x + c)      + (- a d  + 2a b c d - b c )(d x + c)
---R  /
---R      2
---R     d
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2542
 
@@ -56072,14 +55780,10 @@ m0000:=a0000 - r0000
 --E 2546
 
 --S 2547 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                  n log(d x + c)              n + 1                         n
---R   (b d x + a d)%e               - b (d x + c)      + (- a d + b c)(d x + c)
---R   --------------------------------------------------------------------------
---R                                        d
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2547
 
@@ -56128,11 +55832,10 @@ m0000:=a0000 - r0000
 --E 2551
 
 --S 2552 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R          n log(d x + c)            n
---R   (5)  %e               - (d x + c)
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2552
 
@@ -56155,14 +55858,7 @@ t0000:=(c+d*x)^n/(a+b*x)
 --E 2554
 
 --S 2555 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x            n
---R         ++  (%BJ d + c)
---R   (2)   |   ------------ d%BJ
---R        ++     %BJ b + a
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2555
 
 --S 2556 of 2952
@@ -56193,15 +55889,7 @@ t0000:=(c+d*x)^n/(a+b*x)^2
 --E 2559
 
 --S 2560 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x                 n
---R         ++       (%BJ d + c)
---R   (2)   |   ---------------------- d%BJ
---R        ++      2 2               2
---R             %BJ b  + 2%BJ a b + a
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2560
 
 --S 2561 of 2952
@@ -56234,15 +55922,7 @@ t0000:=(c+d*x)^n/(a+b*x)^3
 --E 2564
 
 --S 2565 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x                       n
---R         ++             (%BJ d + c)
---R   (2)   |   ---------------------------------- d%BJ
---R        ++      3 3       2   2         2     3
---R             %BJ b  + 3%BJ a b  + 3%BJ a b + a
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2565
 
 --S 2566 of 2952
@@ -56433,72 +56113,10 @@ m0000:=a0000 - r0000
 --E 2571
 
 --S 2572 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                   2         n - 2
---R               2b d (b x + a)
---R             + 
---R                         2     2              2     2             n - 3
---R               ((- 2a b d  + 2b c d)n + 4a b d  - 4b c d)(b x + a)
---R             + 
---R                     2   2       2       3 2  2
---R                   (a b d  - 2a b c d + b c )n
---R                 + 
---R                      2   2        2        3 2       2   2        2        3 2
---R                 (- 5a b d  + 10a b c d - 5b c )n + 6a b d  - 12a b c d + 6b c
---R              *
---R                          n - 4
---R                 (b x + a)
---R          *
---R                      - n + 1
---R             (d x + c)
---R         + 
---R                   3         n - 1
---R               - 2d (b x + a)
---R             + 
---R                     3         2         3         2          n - 2
---R               ((2a d  - 2b c d )n - 2a d  + 2b c d )(b x + a)
---R             + 
---R                       2 3           2    2 2   2
---R                   (- a d  + 2a b c d  - b c d)n
---R                 + 
---R                      2 3           2     2 2        2 3           2     2 2
---R                   (3a d  - 6a b c d  + 3b c d)n - 2a d  + 4a b c d  - 2b c d
---R              *
---R                          n - 3
---R                 (b x + a)
---R          *
---R                      - n
---R             (d x + c)
---R      *
---R           n log(d x + c)
---R         %e
---R     + 
---R             3 3     2     2       2 2     3 3  2
---R           (a d  - 3a b c d  + 3a b c d - b c )n
---R         + 
---R                3 3      2     2        2 2      3 3       3 3      2     2
---R           (- 5a d  + 15a b c d  - 15a b c d + 5b c )n + 6a d  - 18a b c d
---R         + 
---R                2 2      3 3
---R           18a b c d - 6b c
---R      *
---R           (n - 4)log(b x + a)
---R         %e
---R  /
---R           3 3     2     2       2 2     3 3  2
---R         (a d  - 3a b c d  + 3a b c d - b c )n
---R       + 
---R              3 3      2     2        2 2      3 3       3 3      2     2
---R         (- 5a d  + 15a b c d  - 15a b c d + 5b c )n + 6a d  - 18a b c d
---R       + 
---R              2 2      3 3
---R         18a b c d - 6b c
---R    *
---R         n log(d x + c)
---R       %e
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2572
 
@@ -56599,36 +56217,10 @@ m0000:=a0000 - r0000
 --E 2576
 
 --S 2577 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                              n - 2
---R               - b d (b x + a)
---R             + 
---R                          2                 2           n - 3
---R               ((a b d - b c)n - 2a b d + 2b c)(b x + a)
---R          *
---R                      - n + 1
---R             (d x + c)
---R         + 
---R                  2         n - 1
---R                 d (b x + a)
---R               + 
---R                        2                2                  n - 2
---R                 ((- a d  + b c d)n + a d  - b c d)(b x + a)
---R          *
---R                      - n
---R             (d x + c)
---R      *
---R           n log(d x + c)
---R         %e
---R     + 
---R        2 2               2 2       2 2                2 2   (n - 3)log(b x + a)
---R     ((a d  - 2a b c d + b c )n - 2a d  + 4a b c d - 2b c )%e
---R  /
---R        2 2               2 2       2 2                2 2   n log(d x + c)
---R     ((a d  - 2a b c d + b c )n - 2a d  + 4a b c d - 2b c )%e
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2577
 
@@ -56686,21 +56278,10 @@ m0000:=a0000 - r0000
 --E 2581
 
 --S 2582 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                     n - 2         - n + 1              n - 1         - n
---R         (b (b x + a)     (d x + c)        - d (b x + a)     (d x + c)   )
---R      *
---R           n log(d x + c)
---R         %e
---R     + 
---R                    (n - 2)log(b x + a)
---R       (a d - b c)%e
---R  /
---R                  n log(d x + c)
---R     (a d - b c)%e
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2582
 
@@ -56725,15 +56306,7 @@ t0000:=(a+b*x)^(-1+n)/(c+d*x)^n
 --E 2584
 
 --S 2585 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x            n - 1
---R         ++  (%BJ b + a)
---R   (2)   |   ---------------- d%BJ
---R        ++                n
---R               (%BJ d + c)
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2585
 
 --S 2586 of 2952
@@ -56765,15 +56338,7 @@ t0000:=(a+b*x)^n/(c+d*x)^n
 --E 2589
 
 --S 2590 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x            n
---R         ++  (%BJ b + a)
---R   (2)   |   ------------ d%BJ
---R        ++              n
---R             (%BJ d + c)
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2590
 
 --S 2591 of 2952
@@ -56806,15 +56371,7 @@ t0000:=(a+b*x)^(1+n)/(c+d*x)^n
 --E 2594
 
 --S 2595 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x            n + 1
---R         ++  (%BJ b + a)
---R   (2)   |   ---------------- d%BJ
---R        ++                n
---R               (%BJ d + c)
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2595
 
 --S 2596 of 2952
@@ -56848,15 +56405,7 @@ t0000:=(a+b*x)^(2+n)/(c+d*x)^n
 --E 2599
 
 --S 2600 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x            n + 2
---R         ++  (%BJ b + a)
---R   (2)   |   ---------------- d%BJ
---R        ++                n
---R               (%BJ d + c)
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2600
 
 --S 2601 of 2952
@@ -56887,15 +56436,7 @@ t0000:=(c+d*x)^n/(a+b*x)^n
 --E 2604
 
 --S 2605 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x            n
---R         ++  (%BJ d + c)
---R   (2)   |   ------------ d%BJ
---R        ++              n
---R             (%BJ b + a)
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2605
 
 --S 2606 of 2952
@@ -56925,14 +56466,7 @@ t0000:=(a+b*x)^(-1-n)*(c+d*x)^n
 --E 2609
 
 --S 2610 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x
---R         ++             - n - 1           n
---R   (2)   |   (%BJ b + a)       (%BJ d + c) d%BJ
---R        ++
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2610
 
 --S 2611 of 2952
@@ -56992,17 +56526,10 @@ m0000:=a0000 - r0000
 --E 2616
 
 --S 2617 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                    (- n - 2)log(b x + a)  n log(d x + c)
---R       (a d - b c)%e                     %e
---R     + 
---R                  - n - 2         n + 1              - n - 1         n
---R       b (b x + a)       (d x + c)      - d (b x + a)       (d x + c)
---R  /
---R     a d - b c
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2617
 
@@ -57094,36 +56621,10 @@ m0000:=a0000 - r0000
 --E 2621
 
 --S 2622 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R            2 2               2 2       2 2                2 2
---R         ((a d  - 2a b c d + b c )n + 2a d  - 4a b c d + 2b c )
---R      *
---R           (- n - 3)log(b x + a)  n log(d x + c)
---R         %e                     %e
---R     + 
---R                          - n - 2
---R             b d (b x + a)
---R           + 
---R                        2                 2           - n - 3
---R             ((a b d - b c)n + 2a b d - 2b c)(b x + a)
---R      *
---R                  n + 1
---R         (d x + c)
---R     + 
---R              2         - n - 1
---R           - d (b x + a)
---R         + 
---R                  2                2                  - n - 2
---R           ((- a d  + b c d)n - a d  + b c d)(b x + a)
---R      *
---R                  n
---R         (d x + c)
---R  /
---R       2 2               2 2       2 2                2 2
---R     (a d  - 2a b c d + b c )n + 2a d  - 4a b c d + 2b c
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2622
 
@@ -57298,66 +56799,10 @@ m0000:=a0000 - r0000
 --E 2626
 
 --S 2627 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R             3 3     2     2       2 2     3 3  2
---R           (a d  - 3a b c d  + 3a b c d - b c )n
---R         + 
---R              3 3      2     2        2 2      3 3       3 3      2     2
---R           (5a d  - 15a b c d  + 15a b c d - 5b c )n + 6a d  - 18a b c d
---R         + 
---R                2 2      3 3
---R           18a b c d - 6b c
---R      *
---R           (- n - 4)log(b x + a)  n log(d x + c)
---R         %e                     %e
---R     + 
---R               2         - n - 2
---R           2b d (b x + a)
---R         + 
---R                   2     2              2     2             - n - 3
---R           ((2a b d  - 2b c d)n + 4a b d  - 4b c d)(b x + a)
---R         + 
---R                 2   2       2       3 2  2      2   2        2        3 2
---R               (a b d  - 2a b c d + b c )n  + (5a b d  - 10a b c d + 5b c )n
---R             + 
---R                 2   2        2        3 2
---R               6a b d  - 12a b c d + 6b c
---R          *
---R                      - n - 4
---R             (b x + a)
---R      *
---R                  n + 1
---R         (d x + c)
---R     + 
---R               3         - n - 1
---R           - 2d (b x + a)
---R         + 
---R                   3         2         3         2          - n - 2
---R           ((- 2a d  + 2b c d )n - 2a d  + 2b c d )(b x + a)
---R         + 
---R                   2 3           2    2 2   2        2 3           2     2 2
---R               (- a d  + 2a b c d  - b c d)n  + (- 3a d  + 6a b c d  - 3b c d)n
---R             + 
---R                   2 3           2     2 2
---R               - 2a d  + 4a b c d  - 2b c d
---R          *
---R                      - n - 3
---R             (b x + a)
---R      *
---R                  n
---R         (d x + c)
---R  /
---R         3 3     2     2       2 2     3 3  2
---R       (a d  - 3a b c d  + 3a b c d - b c )n
---R     + 
---R          3 3      2     2        2 2      3 3       3 3      2     2
---R       (5a d  - 15a b c d  + 15a b c d - 5b c )n + 6a d  - 18a b c d
---R     + 
---R            2 2      3 3
---R       18a b c d - 6b c
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2627
 
@@ -57614,105 +57059,10 @@ m0000:=a0000 - r0000
 --E 2631
 
 --S 2632 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R             4 4     3     3     2 2 2 2       3 3     4 4  3
---R           (a d  - 4a b c d  + 6a b c d  - 4a b c d + b c )n
---R         + 
---R              4 4      3     3      2 2 2 2        3 3      4 4  2
---R           (9a d  - 36a b c d  + 54a b c d  - 36a b c d + 9b c )n
---R         + 
---R               4 4       3     3       2 2 2 2         3 3       4 4        4 4
---R           (26a d  - 104a b c d  + 156a b c d  - 104a b c d + 26b c )n + 24a d
---R         + 
---R                3     3       2 2 2 2        3 3       4 4
---R           - 96a b c d  + 144a b c d  - 96a b c d + 24b c
---R      *
---R           (- n - 5)log(b x + a)  n log(d x + c)
---R         %e                     %e
---R     + 
---R               3         - n - 2
---R           6b d (b x + a)
---R         + 
---R                   3     2   2            3      2   2          - n - 3
---R           ((6a b d  - 6b c d )n + 12a b d  - 12b c d )(b x + a)
---R         + 
---R                  2   3       2   2     3 2   2
---R               (3a b d  - 6a b c d  + 3b c d)n
---R             + 
---R                   2   3        2   2      3 2         2   3        2   2
---R               (15a b d  - 30a b c d  + 15b c d)n + 18a b d  - 36a b c d
---R             + 
---R                  3 2
---R               18b c d
---R          *
---R                      - n - 4
---R             (b x + a)
---R         + 
---R                 3   3     2 2   2       3 2     4 3  3
---R               (a b d  - 3a b c d  + 3a b c d - b c )n
---R             + 
---R                  3   3      2 2   2        3 2      4 3  2
---R               (9a b d  - 27a b c d  + 27a b c d - 9b c )n
---R             + 
---R                   3   3      2 2   2        3 2       4 3        3   3
---R               (26a b d  - 78a b c d  + 78a b c d - 26b c )n + 24a b d
---R             + 
---R                    2 2   2        3 2       4 3
---R               - 72a b c d  + 72a b c d - 24b c
---R          *
---R                      - n - 5
---R             (b x + a)
---R      *
---R                  n + 1
---R         (d x + c)
---R     + 
---R               4         - n - 1
---R           - 6d (b x + a)
---R         + 
---R                   4         3         4         3          - n - 2
---R           ((- 6a d  + 6b c d )n - 6a d  + 6b c d )(b x + a)
---R         + 
---R                    2 4           3     2 2 2  2
---R               (- 3a d  + 6a b c d  - 3b c d )n
---R             + 
---R                    2 4            3     2 2 2       2 4            3     2 2 2
---R               (- 9a d  + 18a b c d  - 9b c d )n - 6a d  + 12a b c d  - 6b c d
---R          *
---R                      - n - 3
---R             (b x + a)
---R         + 
---R                   3 4     2     3       2 2 2    3 3   3
---R               (- a d  + 3a b c d  - 3a b c d  + b c d)n
---R             + 
---R                    3 4      2     3        2 2 2     3 3   2
---R               (- 6a d  + 18a b c d  - 18a b c d  + 6b c d)n
---R             + 
---R                     3 4      2     3        2 2 2      3 3        3 4
---R               (- 11a d  + 33a b c d  - 33a b c d  + 11b c d)n - 6a d
---R             + 
---R                  2     3        2 2 2     3 3
---R               18a b c d  - 18a b c d  + 6b c d
---R          *
---R                      - n - 4
---R             (b x + a)
---R      *
---R                  n
---R         (d x + c)
---R  /
---R         4 4     3     3     2 2 2 2       3 3     4 4  3
---R       (a d  - 4a b c d  + 6a b c d  - 4a b c d + b c )n
---R     + 
---R          4 4      3     3      2 2 2 2        3 3      4 4  2
---R       (9a d  - 36a b c d  + 54a b c d  - 36a b c d + 9b c )n
---R     + 
---R           4 4       3     3       2 2 2 2         3 3       4 4        4 4
---R       (26a d  - 104a b c d  + 156a b c d  - 104a b c d + 26b c )n + 24a d
---R     + 
---R            3     3       2 2 2 2        3 3       4 4
---R       - 96a b c d  + 144a b c d  - 96a b c d + 24b c
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2632
 
@@ -57737,15 +57087,7 @@ t0000:=(a+b*x)^n/(c+d*x)^n
 --E 2634
 
 --S 2635 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x            n
---R         ++  (%BJ b + a)
---R   (2)   |   ------------ d%BJ
---R        ++              n
---R             (%BJ d + c)
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2635
 
 --S 2636 of 2952
@@ -57775,14 +57117,7 @@ t0000:=(a+b*x)^n*(c+d*x)^(-1-n)
 --E 2639
 
 --S 2640 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x
---R         ++             n           - n - 1
---R   (2)   |   (%BJ b + a) (%BJ d + c)       d%BJ
---R        ++
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2640
 
 --S 2641 of 2952
@@ -57843,17 +57178,10 @@ m0000:=a0000 - r0000
 --E 2646
 
 --S 2647 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                    (- n - 2)log(d x + c)  n log(b x + a)
---R       (a d - b c)%e                     %e
---R     + 
---R                  n         - n - 1              n + 1         - n - 2
---R       b (b x + a) (d x + c)        - d (b x + a)     (d x + c)
---R  /
---R     a d - b c
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2647
 
@@ -57945,30 +57273,10 @@ m0000:=a0000 - r0000
 --E 2651
 
 --S 2652 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R            2 2               2 2       2 2                2 2
---R         ((a d  - 2a b c d + b c )n + 2a d  - 4a b c d + 2b c )
---R      *
---R           (- n - 3)log(d x + c)  n log(b x + a)
---R         %e                     %e
---R     + 
---R          2         n         - n - 1
---R       - b (b x + a) (d x + c)
---R     + 
---R                       n + 1              2               2           n
---R         (b d (b x + a)      + ((a b d - b c)n + a b d - b c)(b x + a) )
---R      *
---R                  - n - 2
---R         (d x + c)
---R     + 
---R              2                 2                   n + 1         - n - 3
---R       ((- a d  + b c d)n - 2a d  + 2b c d)(b x + a)     (d x + c)
---R  /
---R       2 2               2 2       2 2                2 2
---R     (a d  - 2a b c d + b c )n + 2a d  - 4a b c d + 2b c
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2652
 
@@ -58137,66 +57445,10 @@ m0000:=a0000 - r0000
 --E 2656
 
 --S 2657 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R             3 3     2     2       2 2     3 3  2
---R           (a d  - 3a b c d  + 3a b c d - b c )n
---R         + 
---R              3 3      2     2        2 2      3 3       3 3      2     2
---R           (5a d  - 15a b c d  + 15a b c d - 5b c )n + 6a d  - 18a b c d
---R         + 
---R                2 2      3 3
---R           18a b c d - 6b c
---R      *
---R           (- n - 4)log(d x + c)  n log(b x + a)
---R         %e                     %e
---R     + 
---R         3         n         - n - 1
---R       2b (b x + a) (d x + c)
---R     + 
---R                 2           n + 1
---R             - 2b d (b x + a)
---R           + 
---R                     2      3          2      3           n
---R             ((- 2a b d + 2b c)n - 2a b d + 2b c)(b x + a)
---R      *
---R                  - n - 2
---R         (d x + c)
---R     + 
---R                   2     2              2     2             n + 1
---R           ((2a b d  - 2b c d)n + 4a b d  - 4b c d)(b x + a)
---R         + 
---R                 2   2       2       3 2  2      2   2       2        3 2
---R               (a b d  - 2a b c d + b c )n  + (3a b d  - 6a b c d + 3b c )n
---R             + 
---R                 2   2       2        3 2
---R               2a b d  - 4a b c d + 2b c
---R          *
---R                      n
---R             (b x + a)
---R      *
---R                  - n - 3
---R         (d x + c)
---R     + 
---R               2 3           2    2 2   2        2 3            2     2 2
---R           (- a d  + 2a b c d  - b c d)n  + (- 5a d  + 10a b c d  - 5b c d)n
---R         + 
---R               2 3            2     2 2
---R           - 6a d  + 12a b c d  - 6b c d
---R      *
---R                  n + 1         - n - 4
---R         (b x + a)     (d x + c)
---R  /
---R         3 3     2     2       2 2     3 3  2
---R       (a d  - 3a b c d  + 3a b c d - b c )n
---R     + 
---R          3 3      2     2        2 2      3 3       3 3      2     2
---R       (5a d  - 15a b c d  + 15a b c d - 5b c )n + 6a d  - 18a b c d
---R     + 
---R            2 2      3 3
---R       18a b c d - 6b c
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2657
 
@@ -58447,105 +57699,10 @@ m0000:=a0000 - r0000
 --E 2661
 
 --S 2662 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R             4 4     3     3     2 2 2 2       3 3     4 4  3
---R           (a d  - 4a b c d  + 6a b c d  - 4a b c d + b c )n
---R         + 
---R              4 4      3     3      2 2 2 2        3 3      4 4  2
---R           (9a d  - 36a b c d  + 54a b c d  - 36a b c d + 9b c )n
---R         + 
---R               4 4       3     3       2 2 2 2         3 3       4 4        4 4
---R           (26a d  - 104a b c d  + 156a b c d  - 104a b c d + 26b c )n + 24a d
---R         + 
---R                3     3       2 2 2 2        3 3       4 4
---R           - 96a b c d  + 144a b c d  - 96a b c d + 24b c
---R      *
---R           (- n - 5)log(d x + c)  n log(b x + a)
---R         %e                     %e
---R     + 
---R           4         n         - n - 1
---R       - 6b (b x + a) (d x + c)
---R     + 
---R            3           n + 1         3      4          3      4           n
---R         (6b d (b x + a)      + ((6a b d - 6b c)n + 6a b d - 6b c)(b x + a) )
---R      *
---R                  - n - 2
---R         (d x + c)
---R     + 
---R                   2 2     3             2 2      3             n + 1
---R           ((- 6a b d  + 6b c d)n - 12a b d  + 12b c d)(b x + a)
---R         + 
---R                    2 2 2       3        4 2  2
---R               (- 3a b d  + 6a b c d - 3b c )n
---R             + 
---R                    2 2 2        3        4 2       2 2 2        3        4 2
---R               (- 9a b d  + 18a b c d - 9b c )n - 6a b d  + 12a b c d - 6b c
---R          *
---R                      n
---R             (b x + a)
---R      *
---R                  - n - 3
---R         (d x + c)
---R     + 
---R                  2   3       2   2     3 2   2
---R               (3a b d  - 6a b c d  + 3b c d)n
---R             + 
---R                   2   3        2   2      3 2         2   3        2   2
---R               (15a b d  - 30a b c d  + 15b c d)n + 18a b d  - 36a b c d
---R             + 
---R                  3 2
---R               18b c d
---R          *
---R                      n + 1
---R             (b x + a)
---R         + 
---R                 3   3     2 2   2       3 2     4 3  3
---R               (a b d  - 3a b c d  + 3a b c d - b c )n
---R             + 
---R                  3   3      2 2   2        3 2      4 3  2
---R               (6a b d  - 18a b c d  + 18a b c d - 6b c )n
---R             + 
---R                   3   3      2 2   2        3 2       4 3       3   3
---R               (11a b d  - 33a b c d  + 33a b c d - 11b c )n + 6a b d
---R             + 
---R                    2 2   2        3 2      4 3
---R               - 18a b c d  + 18a b c d - 6b c
---R          *
---R                      n
---R             (b x + a)
---R      *
---R                  - n - 4
---R         (d x + c)
---R     + 
---R               3 4     2     3       2 2 2    3 3   3
---R           (- a d  + 3a b c d  - 3a b c d  + b c d)n
---R         + 
---R                3 4      2     3        2 2 2     3 3   2
---R           (- 9a d  + 27a b c d  - 27a b c d  + 9b c d)n
---R         + 
---R                 3 4      2     3        2 2 2      3 3         3 4      2     3
---R           (- 26a d  + 78a b c d  - 78a b c d  + 26b c d)n - 24a d  + 72a b c d
---R         + 
---R                  2 2 2      3 3
---R           - 72a b c d  + 24b c d
---R      *
---R                  n + 1         - n - 5
---R         (b x + a)     (d x + c)
---R  /
---R         4 4     3     3     2 2 2 2       3 3     4 4  3
---R       (a d  - 4a b c d  + 6a b c d  - 4a b c d + b c )n
---R     + 
---R          4 4      3     3      2 2 2 2        3 3      4 4  2
---R       (9a d  - 36a b c d  + 54a b c d  - 36a b c d + 9b c )n
---R     + 
---R           4 4       3     3       2 2 2 2         3 3       4 4        4 4
---R       (26a d  - 104a b c d  + 156a b c d  - 104a b c d + 26b c )n + 24a d
---R     + 
---R            3     3       2 2 2 2        3 3       4 4
---R       - 96a b c d  + 144a b c d  - 96a b c d + 24b c
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2662
 
@@ -58575,14 +57732,7 @@ t0000:=(a+b*x)^(-2+n)*(c+d*x)^(1-n)
 --E 2664
 
 --S 2665 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x
---R         ++             n - 2           - n + 1
---R   (2)   |   (%BJ b + a)     (%BJ d + c)       d%BJ
---R        ++
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2665
 
 --S 2666 of 2952
@@ -58615,14 +57765,7 @@ t0000:=(a+b*x)^(1+n)*(c+d*x)^(-1-n)
 --E 2669
 
 --S 2670 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x
---R         ++             n + 1           - n - 1
---R   (2)   |   (%BJ b + a)     (%BJ d + c)       d%BJ
---R        ++
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2670
 
 --S 2671 of 2952
@@ -59572,21 +58715,10 @@ m0000:=a0000 - r0000
 --E 2756
 
 --S 2757 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R           5 5 5       4 5 4      2 3 5 3      3 2 5 2     4   5     5 5
---R         (b c x  + 5a b c x  + 10a b c x  + 10a b c x  + 5a b c x + a c )
---R      *
---R           n log(b c x + a c)
---R         %e
---R     + 
---R                      n + 5
---R       - (b c x + a c)
---R  /
---R      5
---R     c
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2757
 
@@ -60244,14 +59376,40 @@ r0000:=1/3*log(2+3*x)*sqrt(2+3*x)/sqrt(-2-3*x)
 
 --S 2815 of 2952
 --a0000:=integrate(t0000,x)
+-- 
+--
+--                         3      2
+--                      27x  + 54x  + 24x
+--        atan(-----------------------------------)
+--                2            +--------+ +------+
+--             (9x  + 12x + 8)\|- 3x - 2 \|3x + 2
+--   (3)  -----------------------------------------
+--                            3
+--                                         Type: Union(Expression(Integer),...)
 --E 2815
 
 --S 2816 of 2952
 --m0000:=a0000 - r0000
+-- 
+--
+--   (4)
+--                               3      2
+--    +--------+              27x  + 54x  + 24x                         +------+
+--   \|- 3x - 2 atan(-----------------------------------) - log(3x + 2)\|3x + 2
+--                      2            +--------+ +------+
+--                   (9x  + 12x + 8)\|- 3x - 2 \|3x + 2
+--   ---------------------------------------------------------------------------
+--                                     +--------+
+--                                   3\|- 3x - 2
+--                                                    Type: Expression(Integer)
 --E 2816
 
 --S 2817 of 2952
 --d0000:=D(m0000,x)
+-- 
+--
+--   (5)  0
+--                                                    Type: Expression(Integer)
 --E 2817
 
 )clear all
diff --git a/src/axiom-website/CATS/rich1b.input.pdf b/src/axiom-website/CATS/rich1b.input.pdf
index 4a4efb5..079dacf 100644
Binary files a/src/axiom-website/CATS/rich1b.input.pdf and b/src/axiom-website/CATS/rich1b.input.pdf differ
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 8669613..bb82835 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4244,6 +4244,8 @@ src/input/rich2.input
 src/axiom-website/CATS/index.html, rich2.input
 <a href="patches/20130722.01.tpd.patch">20130722.01.tpd.patch</a>
 src/axiom-website/CATS/rich1a statistics update
+<a href="patches/20130723.01.tpd.patch">20130723.01.tpd.patch</a>
+src/axiom-website/CATS/rich1b statistics update
  </body>
 </html>
 
diff --git a/src/input/rich1b.input.pamphlet b/src/input/rich1b.input.pamphlet
index 40252a5..7234288 100644
--- a/src/input/rich1b.input.pamphlet
+++ b/src/input/rich1b.input.pamphlet
@@ -6,6 +6,25 @@
 \author{Albert Rich and Timothy Daly}
 \maketitle
 \begin{abstract}
+There are:
+\begin{itemize}
+\item 578 integrals in this file.
+\item 578 supplied "optimal results".
+\item 467 matching answers. (436 first matches, 31 second matches)
+\item 31 cases where Axiom supplied 2 results.
+\item 99 cases that Axiom failed to integrate.
+\item 28 that contain expressions Axiom does not recognize.
+\end{itemize}
+There are two classes of failures. Axiom claims 
+\begin{verbatim}
+   integrate: implementation incomplete (non-algebraic residues)
+\end{verbatim}
+but will generate a correct integral if it is re-tried a few times.
+
+Some of the results will only simplify to zero if you assume that
+square roots only use the positive branch. Axiom does not like to
+make this assumption so it will not simplify to zero such things as:
+\[\sqrt(3)\sqrt(7)\sqrt(21)-21\]
 \end{abstract}
 \eject
 \tableofcontents
@@ -4133,18 +4152,10 @@ m0000:=a0000 - r0000
 --E 249
 
 --S 250 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R        3 3  n log(b x + a)            n + 3               n + 2
---R       b x %e               - (b x + a)      + 3a (b x + a)
---R     + 
---R           2         n + 1    3         n
---R       - 3a (b x + a)      + a (b x + a)
---R  /
---R      3
---R     b
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 250
 
@@ -4212,15 +4223,10 @@ m0000:=a0000 - r0000
 --E 254
 
 --S 255 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R    2 2  n log(b x + a)            n + 2               n + 1    2         n
---R   b x %e               - (b x + a)      + 2a (b x + a)      - a (b x + a)
---R   ------------------------------------------------------------------------
---R                                       2
---R                                      b
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 255
 
@@ -4276,13 +4282,10 @@ m0000:=a0000 - r0000
 --E 259
 
 --S 260 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R              n log(b x + a)            n + 1              n
---R        b x %e               - (b x + a)      + a (b x + a)
---R   (5)  ----------------------------------------------------
---R                                  b
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 260
 
@@ -4331,11 +4334,10 @@ m0000:=a0000 - r0000
 --E 264
 
 --S 265 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R          n log(b x + a)            n
---R   (5)  %e               - (b x + a)
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 265
 
@@ -4525,36 +4527,10 @@ m0000:=a0000 - r0000
 --E 284
 
 --S 285 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                     2 n - 2                     n - 3
---R                 - 2b x      + (- 2a b n + 4a b)x
---R               + 
---R                     2 2     2      2  n - 4
---R                 (- a n  + 5a n - 6a )x
---R          *
---R                      - n + 1
---R             (b x + a)
---R         + 
---R                   3 n - 1        2        2  n - 2
---R                 2b x      + (2a b n - 2a b )x
---R               + 
---R                   2   2     2        2   n - 3
---R                 (a b n  - 3a b n + 2a b)x
---R          *
---R                      - n
---R             (b x + a)
---R      *
---R           n log(b x + a)
---R         %e
---R     + 
---R         3 2     3      3   (n - 4)log(x)
---R       (a n  - 5a n + 6a )%e
---R  /
---R       3 2     3      3   n log(b x + a)
---R     (a n  - 5a n + 6a )%e
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 285
 
@@ -4614,24 +4590,10 @@ m0000:=a0000 - r0000
 --E 289
 
 --S 290 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                 n - 2                n - 3          - n + 1
---R           (- b x      + (- a n + 2a)x     )(b x + a)
---R         + 
---R             2 n - 1                 n - 2          - n
---R           (b x      + (a b n - a b)x     )(b x + a)
---R      *
---R           n log(b x + a)
---R         %e
---R     + 
---R         2      2   (n - 3)log(x)
---R       (a n - 2a )%e
---R  /
---R       2      2   n log(b x + a)
---R     (a n - 2a )%e
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 290
 
@@ -4685,18 +4647,10 @@ m0000:=a0000 - r0000
 --E 294
 
 --S 295 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R           n - 2         - n + 1      n - 1         - n   n log(b x + a)
---R       (- x     (b x + a)        + b x     (b x + a)   )%e
---R     + 
---R           (n - 2)log(x)
---R       a %e
---R  /
---R         n log(b x + a)
---R     a %e
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 295
 
@@ -5097,18 +5051,10 @@ m0000:=a0000 - r0000
 --E 344
 
 --S 345 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                   n 2  (- n - 1)log(b x + a)  (n - 1)log(x)    n - 1         n
---R       a ((b x + a) ) %e                     %e              - x     (b x + a)
---R     + 
---R          n         n - 1
---R       b x (b x + a)
---R  /
---R                 n 2
---R     a ((b x + a) )
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 345
 
@@ -5165,21 +5111,10 @@ m0000:=a0000 - r0000
 --E 349
 
 --S 350 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R         2      2   (- n - 3)log(x)  n log(b x + a)
---R       (a n + 2a )%e               %e
---R     + 
---R           - n - 2                - n - 3          n + 1
---R       (b x        + (- a n - 2a)x       )(b x + a)
---R     + 
---R           2 - n - 1                 - n - 2          n
---R       (- b x        + (a b n + a b)x       )(b x + a)
---R  /
---R      2      2
---R     a n + 2a
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 350
 
@@ -5236,21 +5171,10 @@ m0000:=a0000 - r0000
 --E 354
 
 --S 355 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R         2      2   (- n - 3)log(x)  n log(b x + a)
---R       (a n + 2a )%e               %e
---R     + 
---R           - n - 2                - n - 3          n + 1
---R       (b x        + (- a n - 2a)x       )(b x + a)
---R     + 
---R           2 - n - 1                 - n - 2          n
---R       (- b x        + (a b n + a b)x       )(b x + a)
---R  /
---R      2      2
---R     a n + 2a
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 355
 
@@ -5680,14 +5604,10 @@ m0000:=a0000 - r0000
 --E 394
 
 --S 395 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                  m log(b x + a)              m + 1                       m
---R   (b d x + b c)%e               - d (b x + a)      + (a d - b c)(b x + a)
---R   ------------------------------------------------------------------------
---R                                       b
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 395
 
@@ -6348,18 +6268,10 @@ m0000:=a0000 - r0000
 --E 449
 
 --S 450 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R         2 2 2     2         2 2   m log(b x + a)    2         m + 2
---R       (b d x  + 2b c d x + b c )%e               - d (b x + a)
---R     + 
---R            2                   m + 1       2 2               2 2          m
---R       (2a d  - 2b c d)(b x + a)      + (- a d  + 2a b c d - b c )(b x + a)
---R  /
---R      2
---R     b
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 450
 
@@ -7317,24 +7229,10 @@ m0000:=a0000 - r0000
 --E 514
 
 --S 515 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R         3 3 3     3   2 2     3 2       3 3   m log(b x + a)    3         m + 3
---R       (b d x  + 3b c d x  + 3b c d x + b c )%e               - d (b x + a)
---R     + 
---R            3         2          m + 2
---R       (3a d  - 3b c d )(b x + a)
---R     + 
---R            2 3           2     2 2           m + 1
---R       (- 3a d  + 6a b c d  - 3b c d)(b x + a)
---R     + 
---R         3 3     2     2       2 2     3 3          m
---R       (a d  - 3a b c d  + 3a b c d - b c )(b x + a)
---R  /
---R      3
---R     b
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 515
 
@@ -9888,63 +9786,10 @@ m0000:=a0000 - r0000
 --E 594
 
 --S 595 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R            7 7 7     7   6 6      7 2 5 5      7 3 4 4      7 4 3 3
---R           b d x  + 7b c d x  + 21b c d x  + 35b c d x  + 35b c d x
---R         + 
---R              7 5 2 2     7 6       7 7
---R           21b c d x  + 7b c d x + b c
---R      *
---R           m log(b x + a)
---R         %e
---R     + 
---R          7         m + 7        7         6          m + 6
---R       - d (b x + a)      + (7a d  - 7b c d )(b x + a)
---R     + 
---R             2 7            6      2 2 5          m + 5
---R       (- 21a d  + 42a b c d  - 21b c d )(b x + a)
---R     + 
---R           3 7       2     6         2 2 5      3 3 4          m + 4
---R       (35a d  - 105a b c d  + 105a b c d  - 35b c d )(b x + a)
---R     + 
---R               4 7       3     6       2 2 2 5         3 3 4      4 4 3
---R         (- 35a d  + 140a b c d  - 210a b c d  + 140a b c d  - 35b c d )
---R      *
---R                  m + 3
---R         (b x + a)
---R     + 
---R              5 7       4     6       3 2 2 5       2 3 3 4         4 4 3
---R           21a d  - 105a b c d  + 210a b c d  - 210a b c d  + 105a b c d
---R         + 
---R                5 5 2
---R           - 21b c d
---R      *
---R                  m + 2
---R         (b x + a)
---R     + 
---R               6 7      5     6       4 2 2 5       3 3 3 4       2 4 4 3
---R           - 7a d  + 42a b c d  - 105a b c d  + 140a b c d  - 105a b c d
---R         + 
---R                5 5 2     6 6
---R           42a b c d  - 7b c d
---R      *
---R                  m + 1
---R         (b x + a)
---R     + 
---R            7 7     6     6      5 2 2 5      4 3 3 4      3 4 4 3      2 5 5 2
---R           a d  - 7a b c d  + 21a b c d  - 35a b c d  + 35a b c d  - 21a b c d
---R         + 
---R               6 6     7 7
---R           7a b c d - b c
---R      *
---R                  m
---R         (b x + a)
---R  /
---R      7
---R     b
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 595
 
@@ -18407,96 +18252,10 @@ m0000:=a0000 - r0000
 --E 729
 
 --S 730 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R            10 10 10      10   9 9      10 2 8 8       10 3 7 7       10 4 6 6
---R           b  d  x   + 10b  c d x  + 45b  c d x  + 120b  c d x  + 210b  c d x
---R         + 
---R               10 5 5 5       10 6 4 4       10 7 3 3      10 8 2 2      10 9
---R           252b  c d x  + 210b  c d x  + 120b  c d x  + 45b  c d x  + 10b  c d x
---R         + 
---R            10 10
---R           b  c
---R      *
---R           m log(b x + a)
---R         %e
---R     + 
---R          10         m + 10         10          9          m + 9
---R       - d  (b x + a)       + (10a d   - 10b c d )(b x + a)
---R     + 
---R             2 10            9      2 2 8          m + 8
---R       (- 45a d   + 90a b c d  - 45b c d )(b x + a)
---R     + 
---R            3 10       2     9         2 2 8       3 3 7          m + 7
---R       (120a d   - 360a b c d  + 360a b c d  - 120b c d )(b x + a)
---R     + 
---R                4 10       3     9        2 2 2 8         3 3 7       4 4 6
---R         (- 210a d   + 840a b c d  - 1260a b c d  + 840a b c d  - 210b c d )
---R      *
---R                  m + 6
---R         (b x + a)
---R     + 
---R               5 10        4     9        3 2 2 8        2 3 3 7          4 4 6
---R           252a d   - 1260a b c d  + 2520a b c d  - 2520a b c d  + 1260a b c d
---R         + 
---R                 5 5 5
---R           - 252b c d
---R      *
---R                  m + 5
---R         (b x + a)
---R     + 
---R                 6 10        5     9        4 2 2 8        3 3 3 7
---R           - 210a d   + 1260a b c d  - 3150a b c d  + 4200a b c d
---R         + 
---R                  2 4 4 6          5 5 5       6 6 4
---R           - 3150a b c d  + 1260a b c d  - 210b c d
---R      *
---R                  m + 4
---R         (b x + a)
---R     + 
---R               7 10       6     9        5 2 2 8        4 3 3 7        3 4 4 6
---R           120a d   - 840a b c d  + 2520a b c d  - 4200a b c d  + 4200a b c d
---R         + 
---R                  2 5 5 5         6 6 4       7 7 3
---R           - 2520a b c d  + 840a b c d  - 120b c d
---R      *
---R                  m + 3
---R         (b x + a)
---R     + 
---R                8 10       7     9        6 2 2 8        5 3 3 7        4 4 4 6
---R           - 45a d   + 360a b c d  - 1260a b c d  + 2520a b c d  - 3150a b c d
---R         + 
---R                3 5 5 5        2 6 6 4         7 7 3      8 8 2
---R           2520a b c d  - 1260a b c d  + 360a b c d  - 45b c d
---R      *
---R                  m + 2
---R         (b x + a)
---R     + 
---R              9 10      8     9       7 2 2 8       6 3 3 7        5 4 4 6
---R           10a d   - 90a b c d  + 360a b c d  - 840a b c d  + 1260a b c d
---R         + 
---R                  4 5 5 5       3 6 6 4       2 7 7 3        8 8 2      9 9
---R           - 1260a b c d  + 840a b c d  - 360a b c d  + 90a b c d  - 10b c d
---R      *
---R                  m + 1
---R         (b x + a)
---R     + 
---R              10 10      9     9      8 2 2 8       7 3 3 7       6 4 4 6
---R           - a  d   + 10a b c d  - 45a b c d  + 120a b c d  - 210a b c d
---R         + 
---R               5 5 5 5       4 6 6 4       3 7 7 3      2 8 8 2        9 9
---R           252a b c d  - 210a b c d  + 120a b c d  - 45a b c d  + 10a b c d
---R         + 
---R              10 10
---R           - b  c
---R      *
---R                  m
---R         (b x + a)
---R  /
---R      10
---R     b
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 730
 
@@ -29232,14 +28991,7 @@ t0000:=(a+b*x)^m/(c+d*x)
 --E 907
 
 --S 908 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x            m
---R         ++  (%BJ b + a)
---R   (2)   |   ------------ d%BJ
---R        ++     %BJ d + c
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 908
 
 --S 909 of 2952
@@ -29849,15 +29601,7 @@ t0000:=(a+b*x)^m/(c+d*x)^2
 --E 957
 
 --S 958 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x                 m
---R         ++       (%BJ b + a)
---R   (2)   |   ---------------------- d%BJ
---R        ++      2 2               2
---R             %BJ d  + 2%BJ c d + c
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 958
 
 --S 959 of 2952
@@ -30565,15 +30309,7 @@ t0000:=(a+b*x)^m/(c+d*x)^3
 --E 1007
 
 --S 1008 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x                       m
---R         ++             (%BJ b + a)
---R   (2)   |   ---------------------------------- d%BJ
---R        ++      3 3       2   2         2     3
---R             %BJ d  + 3%BJ c d  + 3%BJ c d + c
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 1008
 
 --S 1009 of 2952
@@ -43129,7 +42865,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 1586
 
---S 1587 of 2952
+--S 1587 of 2952 cannot assume positive sqrts
 d0000:=D(m0000,x)
 --R 
 --R
@@ -49549,7 +49285,7 @@ t0000:=1/(sqrt(a+b*x)*sqrt(4+a+b*x))
 --R                                                    Type: Expression(Integer)
 --E 1913
 
---S 1914 of 2952
+--S 1914 of 2952 
 r0000:=2*asinh(1/2*sqrt(a+b*x))/b
 --R 
 --R
@@ -49562,7 +49298,7 @@ r0000:=2*asinh(1/2*sqrt(a+b*x))/b
 --R                                                    Type: Expression(Integer)
 --E 1914
 
---S 1915 of 2952 ok to fail, differs by a constant
+--S 1915 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -49573,7 +49309,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 1915
 
---S 1916 of 2952 ok to fail, differs by a constant
+--S 1916 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
@@ -49586,7 +49322,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 1916
 
---S 1917 of 2952
+--S 1917 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
@@ -49620,24 +49356,36 @@ r0000:=2*asinh(1/2*sqrt(2+b*x))/b
 --R                                                    Type: Expression(Integer)
 --E 1919
 
---S 1920 of 2952
+--S 1920 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +-------+    +-------+
+--R        2log(\|b x + 6  + \|b x + 2 )
+--R   (3)  -----------------------------
+--R                      b
+--R                                         Type: Union(Expression(Integer),...)
 --E 1920
 
---S 1921 of 2952
---m0000:=a0000 - r0000
+--S 1921 of 2952 ok to fail, (non-algebraic residues)
+m0000:=a0000 - r0000
+--R 
+--R
+--R                                                +-------+
+--R              +-------+    +-------+           \|b x + 2
+--R        2log(\|b x + 6  + \|b x + 2 ) - 2asinh(----------)
+--R                                                    2
+--R   (4)  --------------------------------------------------
+--R                                 b
+--R                                                    Type: Expression(Integer)
 --E 1921
 
---S 1922 of 2952
---d0000:=D(m0000,x)
+--S 1922 of 2952 ok to fail, (non-algebraic residues)
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
 --E 1922
 
 )clear all
@@ -49666,7 +49414,7 @@ r0000:=2*asinh(1/2*sqrt(1+b*x))/b
 --R                                                    Type: Expression(Integer)
 --E 1924
 
---S 1925 of 2952 ok to fail, differs by a constant
+--S 1925 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -49677,7 +49425,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 1925
 
---S 1926 of 2952 ok to fail, differs by a constant
+--S 1926 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
@@ -49690,7 +49438,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 1926
 
---S 1927 of 2952
+--S 1927 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
@@ -49724,24 +49472,36 @@ r0000:=2*asinh(1/2*sqrt(b*x))/b
 --R                                                    Type: Expression(Integer)
 --E 1929
 
---S 1930 of 2952
+--S 1930 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R                +-------+    +---+
+--R          2log(\|b x + 4  - \|b x )
+--R   (3)  - -------------------------
+--R                      b
+--R                                         Type: Union(Expression(Integer),...)
 --E 1930
 
---S 1931 of 2952
---m0000:=a0000 - r0000
+--S 1931 of 2952 ok to fail, (non-algebraic residues)
+m0000:=a0000 - r0000
+--R 
+--R
+--R                                              +---+
+--R                +-------+    +---+           \|b x
+--R        - 2log(\|b x + 4  - \|b x ) - 2asinh(------)
+--R                                                2
+--R   (4)  --------------------------------------------
+--R                              b
+--R                                                    Type: Expression(Integer)
 --E 1931
 
---S 1932 of 2952
---d0000:=D(m0000,x)
+--S 1932 of 2952 ok to fail, (non-algebraic residues)
+d0000:=D(m0000,x)
+--R 
+--R
+--R   (5)  0
+--R                                                    Type: Expression(Integer)
 --E 1932
 
 )clear all
@@ -49770,7 +49530,7 @@ r0000:=2*asinh(1/2*sqrt(-1+b*x))/b
 --R                                                    Type: Expression(Integer)
 --E 1934
 
---S 1935 of 2952 ok to fail, differs by a constant
+--S 1935 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -49781,7 +49541,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 1935
 
---S 1936 of 2952 ok to fail, differs by a constant
+--S 1936 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
@@ -49794,7 +49554,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 1936
 
---S 1937 of 2952
+--S 1937 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
@@ -49827,39 +49587,40 @@ r0000:=acosh(1/2*b*x)/b
 --R                                                    Type: Expression(Integer)
 --E 1939
 
---S 1940 of 2952
+--S 1940 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +-------+    +-------+
+--R        2log(\|b x + 2  + \|b x - 2 )
+--R   (3)  -----------------------------
+--R                      b
+--R                                         Type: Union(Expression(Integer),...)
 --E 1940
 
---S 1941 of 2952
+--S 1941 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
---R                b x
---R        - acosh(---) + a0000 b
---R                 2
---R   (3)  ----------------------
---R                   b
+--R              +-------+    +-------+          b x
+--R        2log(\|b x + 2  + \|b x - 2 ) - acosh(---)
+--R                                               2
+--R   (4)  ------------------------------------------
+--R                             b
 --R                                                    Type: Expression(Integer)
 --E 1941
 
---S 1942 of 2952
+--S 1942 of 2952 ok to fail, zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
---R               1
---R   (4)  - -----------
---R           +--------+
---R           | 2 2
---R          \|b x  - 4
+--R         +--------+
+--R         | 2 2         +-------+ +-------+
+--R        \|b x  - 4  - \|b x - 2 \|b x + 2
+--R   (5)  ----------------------------------
+--R                               +--------+
+--R           +-------+ +-------+ | 2 2
+--R          \|b x - 2 \|b x + 2 \|b x  - 4
 --R                                                    Type: Expression(Integer)
 --E 1942
 
@@ -49889,39 +49650,35 @@ r0000:=2*asinh(1/2*sqrt(-3+b*x))/b
 --R                                                    Type: Expression(Integer)
 --E 1944
 
---S 1945 of 2952
+--S 1945 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +-------+    +-------+
+--R        2log(\|b x + 1  + \|b x - 3 )
+--R   (3)  -----------------------------
+--R                      b
+--R                                         Type: Union(Expression(Integer),...)
 --E 1945
 
---S 1946 of 2952
+--S 1946 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
---R                  +-------+
---R                 \|b x - 3
---R        - 2asinh(----------) + a0000 b
---R                      2
---R   (3)  ------------------------------
---R                       b
+--R                                                +-------+
+--R              +-------+    +-------+           \|b x - 3
+--R        2log(\|b x + 1  + \|b x - 3 ) - 2asinh(----------)
+--R                                                    2
+--R   (4)  --------------------------------------------------
+--R                                 b
 --R                                                    Type: Expression(Integer)
 --E 1946
 
---S 1947 of 2952
+--S 1947 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
---R                    1
---R   (4)  - --------------------
---R           +-------+ +-------+
---R          \|b x - 3 \|b x + 1
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 1947
 
@@ -50051,7 +49808,7 @@ r0000:=2*asinh(sqrt(1+b*x))/b
 --R                                                    Type: Expression(Integer)
 --E 1959
 
---S 1960 of 2952 ok to fail, differs by a constant
+--S 1960 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -50062,7 +49819,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 1960
 
---S 1961 of 2952 ok to fail, differs by a constant
+--S 1961 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
@@ -50073,7 +49830,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 1961
 
---S 1962 of 2952
+--S 1962 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
@@ -50111,26 +49868,25 @@ r0000:=2*asinh(sqrt(b*x)/sqrt(2))/b
 --S 1965 of 2952
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +-------+    +---+
+--R        2log(\|b x + 2  + \|b x )
+--R   (3)  -------------------------
+--R                    b
+--R                                         Type: Union(Expression(Integer),...)
 --E 1965
 
 --S 1966 of 2952
 m0000:=a0000 - r0000
 --R 
 --R
---R                  +---+
---R                 \|b x
---R        - 2asinh(------) + a0000 b
---R                   +-+
---R                  \|2
---R   (3)  --------------------------
---R                     b
+--R                                            +---+
+--R              +-------+    +---+           \|b x
+--R        2log(\|b x + 2  + \|b x ) - 2asinh(------)
+--R                                             +-+
+--R                                            \|2
+--R   (4)  ------------------------------------------
+--R                             b
 --R                                                    Type: Expression(Integer)
 --E 1966
 
@@ -50138,10 +49894,7 @@ m0000:=a0000 - r0000
 d0000:=D(m0000,x)
 --R 
 --R
---R                  1
---R   (4)  - ----------------
---R           +---+ +-------+
---R          \|b x \|b x + 2
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 1967
 
@@ -50172,7 +49925,7 @@ r0000:=2*asinh(sqrt(-1+b*x)/sqrt(3))/b
 --R                                                    Type: Expression(Integer)
 --E 1969
 
---S 1970 of 2952 ok to fail, differs by a constant
+--S 1970 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -50183,7 +49936,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 1970
 
---S 1971 of 2952 ok to fail, differs by a constant
+--S 1971 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
@@ -50197,7 +49950,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 1971
 
---S 1972 of 2952
+--S 1972 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
@@ -50230,7 +49983,7 @@ r0000:=acosh(1/2*b*x)/b
 --R                                                    Type: Expression(Integer)
 --E 1974
 
---S 1975 of 2952
+--S 1975 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -50241,7 +49994,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 1975
 
---S 1976 of 2952
+--S 1976 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
@@ -50253,7 +50006,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 1976
 
---S 1977 of 2952
+--S 1977 of 2952 ok to fail, zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
@@ -50294,41 +50047,36 @@ r0000:=2*asinh(sqrt(-3+b*x)/sqrt(5))/b
 --R                                                    Type: Expression(Integer)
 --E 1979
 
---S 1980 of 2952
+--S 1980 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +-------+    +-------+
+--R        2log(\|b x + 2  + \|b x - 3 )
+--R   (3)  -----------------------------
+--R                      b
+--R                                         Type: Union(Expression(Integer),...)
 --E 1980
 
---S 1981 of 2952
+--S 1981 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
---R                  +-------+
---R                 \|b x - 3
---R        - 2asinh(----------) + a0000 b
---R                     +-+
---R                    \|5
---R   (3)  ------------------------------
---R                       b
+--R                                                +-------+
+--R              +-------+    +-------+           \|b x - 3
+--R        2log(\|b x + 2  + \|b x - 3 ) - 2asinh(----------)
+--R                                                   +-+
+--R                                                  \|5
+--R   (4)  --------------------------------------------------
+--R                                 b
 --R                                                    Type: Expression(Integer)
 --E 1981
 
--- TPDHERE
---S 1982 of 2952
+--S 1982 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
---R                    1
---R   (4)  - --------------------
---R           +-------+ +-------+
---R          \|b x - 3 \|b x + 2
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 1982
 
@@ -50613,7 +50361,7 @@ r0000:=-2*asinh(sqrt(2-b*x))/b
 --R                                                    Type: Expression(Integer)
 --E 2019
 
---S 2020 of 2952 ok to fail, differs by a constant
+--S 2020 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -50624,7 +50372,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 2020
 
---S 2021 of 2952 ok to fail, differs by a constant
+--S 2021 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
@@ -50635,7 +50383,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 2021
 
---S 2022 of 2952
+--S 2022 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
@@ -50774,40 +50522,36 @@ r0000:=-2*asinh(sqrt(-b*x)/sqrt(2))/b
 --R                                                    Type: Expression(Integer)
 --E 2034
 
---S 2035 of 2952
+--S 2035 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +---------+    +-----+
+--R        2log(\|- b x + 2  - \|- b x )
+--R   (3)  -----------------------------
+--R                      b
+--R                                         Type: Union(Expression(Integer),...)
 --E 2035
 
---S 2036 of 2952
+--S 2036 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
---R                +-----+
---R               \|- b x
---R        2asinh(--------) + a0000 b
---R                  +-+
---R                 \|2
---R   (3)  --------------------------
---R                     b
+--R                                                +-----+
+--R              +---------+    +-----+           \|- b x
+--R        2log(\|- b x + 2  - \|- b x ) + 2asinh(--------)
+--R                                                  +-+
+--R                                                 \|2
+--R   (4)  ------------------------------------------------
+--R                                b
 --R                                                    Type: Expression(Integer)
 --E 2036
 
---S 2037 of 2952
+--S 2037 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
---R                    1
---R   (4)  - --------------------
---R           +-----+ +---------+
---R          \|- b x \|- b x + 2
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2037
 
@@ -50838,41 +50582,36 @@ r0000:=-2*asinh(sqrt(-1-b*x)/sqrt(3))/b
 --R                                                    Type: Expression(Integer)
 --E 2039
 
---S 2040 of 2952
+--S 2040 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +---------+    +---------+
+--R        2log(\|- b x + 2  - \|- b x - 1 )
+--R   (3)  ---------------------------------
+--R                        b
+--R                                         Type: Union(Expression(Integer),...)
 --E 2040
 
---S 2041 of 2952
+--S 2041 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
---R                +---------+
---R               \|- b x - 1
---R        2asinh(------------) + a0000 b
---R                    +-+
---R                   \|3
---R   (3)  ------------------------------
---R                       b
+--R                                                    +---------+
+--R              +---------+    +---------+           \|- b x - 1
+--R        2log(\|- b x + 2  - \|- b x - 1 ) + 2asinh(------------)
+--R                                                        +-+
+--R                                                       \|3
+--R   (4)  --------------------------------------------------------
+--R                                    b
 --R                                                    Type: Expression(Integer)
 --E 2041
 
--- TPDHERE
---S 2042 of 2952
+--S 2042 of 2952 ok to fail, (non-algebraic residues)
 d0000:=D(m0000,x)
 --R 
 --R
---R                      1
---R   (4)  - ------------------------
---R           +---------+ +---------+
---R          \|- b x - 1 \|- b x + 2
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2042
 
@@ -50901,39 +50640,40 @@ r0000:=-acosh(-1/2*b*x)/b
 --R                                                    Type: Expression(Integer)
 --E 2044
 
---S 2045 of 2952
+--S 2045 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +---------+    +---------+
+--R        2log(\|- b x + 2  - \|- b x - 2 )
+--R   (3)  ---------------------------------
+--R                        b
+--R                                         Type: Union(Expression(Integer),...)
 --E 2045
 
---S 2046 of 2952
+--S 2046 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
---R                b x
---R        acosh(- ---) + a0000 b
---R                 2
---R   (3)  ----------------------
---R                   b
+--R              +---------+    +---------+            b x
+--R        2log(\|- b x + 2  - \|- b x - 2 ) + acosh(- ---)
+--R                                                     2
+--R   (4)  ------------------------------------------------
+--R                                b
 --R                                                    Type: Expression(Integer)
 --E 2046
 
---S 2047 of 2952
+--S 2047 of 2952 ok to fail, zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
---R               1
---R   (4)  - -----------
---R           +--------+
---R           | 2 2
---R          \|b x  - 4
+--R         +--------+
+--R         | 2 2         +---------+ +---------+
+--R        \|b x  - 4  - \|- b x - 2 \|- b x + 2
+--R   (5)  --------------------------------------
+--R                                   +--------+
+--R           +---------+ +---------+ | 2 2
+--R          \|- b x - 2 \|- b x + 2 \|b x  - 4
 --R                                                    Type: Expression(Integer)
 --E 2047
 
@@ -50967,26 +50707,25 @@ r0000:=-2*asinh(sqrt(-3-b*x)/sqrt(5))/b
 --S 2050 of 2952
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +---------+    +---------+
+--R        2log(\|- b x + 2  - \|- b x - 3 )
+--R   (3)  ---------------------------------
+--R                        b
+--R                                         Type: Union(Expression(Integer),...)
 --E 2050
 
 --S 2051 of 2952
 m0000:=a0000 - r0000
 --R 
 --R
---R                +---------+
---R               \|- b x - 3
---R        2asinh(------------) + a0000 b
---R                    +-+
---R                   \|5
---R   (3)  ------------------------------
---R                       b
+--R                                                    +---------+
+--R              +---------+    +---------+           \|- b x - 3
+--R        2log(\|- b x + 2  - \|- b x - 3 ) + 2asinh(------------)
+--R                                                        +-+
+--R                                                       \|5
+--R   (4)  --------------------------------------------------------
+--R                                    b
 --R                                                    Type: Expression(Integer)
 --E 2051
 
@@ -50994,10 +50733,7 @@ m0000:=a0000 - r0000
 d0000:=D(m0000,x)
 --R 
 --R
---R                      1
---R   (4)  - ------------------------
---R           +---------+ +---------+
---R          \|- b x - 3 \|- b x + 2
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2052
 
@@ -51026,39 +50762,40 @@ r0000:=acosh(1/4*b*x)/b
 --R                                                    Type: Expression(Integer)
 --E 2054
 
---S 2055 of 2952
+--S 2055 of 2952 ok to fail, (non-algebraic residues)
 a0000:=integrate(t0000,x)
 --R 
---R 
---RDaly Bug
---R   >> Error detected within library code:
---R   integrate: implementation incomplete (non-algebraic residues)
---R
---R   Continuing to read the file...
 --R
+--R              +-------+    +-------+
+--R        2log(\|b x + 4  + \|b x - 4 )
+--R   (3)  -----------------------------
+--R                      b
+--R                                         Type: Union(Expression(Integer),...)
 --E 2055
 
---S 2056 of 2952
+--S 2056 of 2952 ok to fail, (non-algebraic residues)
 m0000:=a0000 - r0000
 --R 
 --R
---R                b x
---R        - acosh(---) + a0000 b
---R                 4
---R   (3)  ----------------------
---R                   b
+--R              +-------+    +-------+          b x
+--R        2log(\|b x + 4  + \|b x - 4 ) - acosh(---)
+--R                                               4
+--R   (4)  ------------------------------------------
+--R                             b
 --R                                                    Type: Expression(Integer)
 --E 2056
 
---S 2057 of 2952
+--S 2057 of 2952 ok to fail, zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
---R                1
---R   (4)  - ------------
---R           +---------+
---R           | 2 2
---R          \|b x  - 16
+--R         +---------+
+--R         | 2 2          +-------+ +-------+
+--R        \|b x  - 16  - \|b x - 4 \|b x + 4
+--R   (5)  -----------------------------------
+--R                               +---------+
+--R           +-------+ +-------+ | 2 2
+--R          \|b x - 4 \|b x + 4 \|b x  - 16
 --R                                                    Type: Expression(Integer)
 --E 2057
 
@@ -54248,7 +53985,7 @@ r0000:=1/3/((1-x)^(3/2)*sqrt(1+x))+2/3*x/sqrt(1-x^2)
 --R                                                    Type: Expression(Integer)
 --E 2404
 
---S 2405 of 2952 
+--S 2405 of 2952 ok to fail, differs by a constant
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -54260,7 +53997,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 2405
 
---S 2406 of 2952 
+--S 2406 of 2952 ok to fail, differs by a constant
 m0000:=a0000 - r0000
 --R 
 --R
@@ -54274,8 +54011,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 2406
 
--- TPDHERE
---S 2407 of 2952
+--S 2407 of 2952 zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
@@ -54317,7 +54053,7 @@ r0000:=1/5/((1-x)^(5/2)*sqrt(1+x))+1/5/((1-x)^(3/2)*sqrt(1+x))+_
 --R                                                    Type: Expression(Integer)
 --E 2409
 
---S 2410 of 2952
+--S 2410 of 2952 ok to fail, differs by a constant
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -54329,7 +54065,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 2410
 
---S 2411 of 2952
+--S 2411 of 2952 ok to fail, differs by a constant
 m0000:=a0000 - r0000
 --R 
 --R
@@ -54343,8 +54079,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 2411
 
--- TPDHERE
---S 2412 of 2952
+--S 2412 of 2952 zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
@@ -54387,7 +54122,7 @@ r0000:=1/7/((1-x)^(7/2)*sqrt(1+x))+4/35/((1-x)^(5/2)*sqrt(1+x))+_
 --R                                                    Type: Expression(Integer)
 --E 2414
 
---S 2415 of 2952
+--S 2415 of 2952 ok to fail, differs by a constant
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -54403,7 +54138,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 2415
 
---S 2416 of 2952
+--S 2416 of 2952 ok to fail, differs by a constant
 m0000:=a0000 - r0000
 --R 
 --R
@@ -54417,8 +54152,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 2416
 
--- TPDHERE
---S 2417 of 2952
+--S 2417 of 2952 zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
@@ -54465,7 +54199,7 @@ r0000:=1/9/((1-x)^(9/2)*sqrt(1+x))+5/63/((1-x)^(7/2)*sqrt(1+x))+_
 --R                                                    Type: Expression(Integer)
 --E 2419
 
---S 2420 of 2952
+--S 2420 of 2952 ok to fail, differs by a constant
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -54481,7 +54215,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 2420
 
---S 2421 of 2952
+--S 2421 of 2952 ok to fail, differs by a constant
 m0000:=a0000 - r0000
 --R 
 --R
@@ -54495,8 +54229,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 2421
 
--- TPDHERE
---S 2422 of 2952
+--S 2422 of 2952 zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
@@ -54930,7 +54663,7 @@ r0000:=1/5/((1-x)^(5/2)*(1+x)^(3/2))+4/15*x/(1-x^2)^(3/2)+8/15*x/sqrt(1-x^2)
 --R                                                    Type: Expression(Integer)
 --E 2464
 
---S 2465 of 2952
+--S 2465 of 2952 ok to fail, differs by a constant
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -54946,7 +54679,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 2465
 
---S 2466 of 2952
+--S 2466 of 2952 ok to fail, differs by a constant
 m0000:=a0000 - r0000
 --R 
 --R
@@ -54965,8 +54698,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 2466
 
--- TPDHERE
---S 2467 of 2952
+--S 2467 of 2952 zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
@@ -55009,7 +54741,7 @@ r0000:=1/7/((1-x)^(7/2)*(1+x)^(3/2))+1/7/((1-x)^(5/2)*(1+x)^(3/2))+_
 --R                                                    Type: Expression(Integer)
 --E 2469
 
---S 2470 of 2952
+--S 2470 of 2952 ok to fail, differs by a constant
 a0000:=integrate(t0000,x)
 --R 
 --R
@@ -55025,7 +54757,7 @@ a0000:=integrate(t0000,x)
 --R                                         Type: Union(Expression(Integer),...)
 --E 2470
 
---S 2471 of 2952
+--S 2471 of 2952 ok to fail, differs by a constant
 m0000:=a0000 - r0000
 --R 
 --R
@@ -55044,8 +54776,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 2471
 
--- TPDHERE
---S 2472 of 2952
+--S 2472 of 2952 zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
@@ -55126,8 +54857,7 @@ m0000:=a0000 - r0000
 --R                                                    Type: Expression(Integer)
 --E 2476
 
--- TPDHERE
---S 2477 of 2952
+--S 2477 of 2952 zero, assuming only positive roots
 d0000:=D(m0000,x)
 --R 
 --R
@@ -55871,24 +55601,10 @@ m0000:=a0000 - r0000
 --E 2536
 
 --S 2537 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R         3 3 3       2 3 2     2   3     3 3   n log(d x + c)    3         n + 3
---R       (b d x  + 3a b d x  + 3a b d x + a d )%e               - b (d x + c)
---R     + 
---R              2      3           n + 2
---R       (- 3a b d + 3b c)(d x + c)
---R     + 
---R            2   2       2        3 2          n + 1
---R       (- 3a b d  + 6a b c d - 3b c )(d x + c)
---R     + 
---R           3 3     2     2       2 2     3 3          n
---R       (- a d  + 3a b c d  - 3a b c d + b c )(d x + c)
---R  /
---R      3
---R     d
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2537
 
@@ -55995,18 +55711,10 @@ m0000:=a0000 - r0000
 --E 2541
 
 --S 2542 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R         2 2 2         2     2 2   n log(d x + c)    2         n + 2
---R       (b d x  + 2a b d x + a d )%e               - b (d x + c)
---R     + 
---R                     2           n + 1       2 2               2 2          n
---R       (- 2a b d + 2b c)(d x + c)      + (- a d  + 2a b c d - b c )(d x + c)
---R  /
---R      2
---R     d
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2542
 
@@ -56072,14 +55780,10 @@ m0000:=a0000 - r0000
 --E 2546
 
 --S 2547 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                  n log(d x + c)              n + 1                         n
---R   (b d x + a d)%e               - b (d x + c)      + (- a d + b c)(d x + c)
---R   --------------------------------------------------------------------------
---R                                        d
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2547
 
@@ -56128,11 +55832,10 @@ m0000:=a0000 - r0000
 --E 2551
 
 --S 2552 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R          n log(d x + c)            n
---R   (5)  %e               - (d x + c)
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2552
 
@@ -56155,14 +55858,7 @@ t0000:=(c+d*x)^n/(a+b*x)
 --E 2554
 
 --S 2555 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x            n
---R         ++  (%BJ d + c)
---R   (2)   |   ------------ d%BJ
---R        ++     %BJ b + a
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2555
 
 --S 2556 of 2952
@@ -56193,15 +55889,7 @@ t0000:=(c+d*x)^n/(a+b*x)^2
 --E 2559
 
 --S 2560 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x                 n
---R         ++       (%BJ d + c)
---R   (2)   |   ---------------------- d%BJ
---R        ++      2 2               2
---R             %BJ b  + 2%BJ a b + a
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2560
 
 --S 2561 of 2952
@@ -56234,15 +55922,7 @@ t0000:=(c+d*x)^n/(a+b*x)^3
 --E 2564
 
 --S 2565 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x                       n
---R         ++             (%BJ d + c)
---R   (2)   |   ---------------------------------- d%BJ
---R        ++      3 3       2   2         2     3
---R             %BJ b  + 3%BJ a b  + 3%BJ a b + a
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2565
 
 --S 2566 of 2952
@@ -56433,72 +56113,10 @@ m0000:=a0000 - r0000
 --E 2571
 
 --S 2572 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                   2         n - 2
---R               2b d (b x + a)
---R             + 
---R                         2     2              2     2             n - 3
---R               ((- 2a b d  + 2b c d)n + 4a b d  - 4b c d)(b x + a)
---R             + 
---R                     2   2       2       3 2  2
---R                   (a b d  - 2a b c d + b c )n
---R                 + 
---R                      2   2        2        3 2       2   2        2        3 2
---R                 (- 5a b d  + 10a b c d - 5b c )n + 6a b d  - 12a b c d + 6b c
---R              *
---R                          n - 4
---R                 (b x + a)
---R          *
---R                      - n + 1
---R             (d x + c)
---R         + 
---R                   3         n - 1
---R               - 2d (b x + a)
---R             + 
---R                     3         2         3         2          n - 2
---R               ((2a d  - 2b c d )n - 2a d  + 2b c d )(b x + a)
---R             + 
---R                       2 3           2    2 2   2
---R                   (- a d  + 2a b c d  - b c d)n
---R                 + 
---R                      2 3           2     2 2        2 3           2     2 2
---R                   (3a d  - 6a b c d  + 3b c d)n - 2a d  + 4a b c d  - 2b c d
---R              *
---R                          n - 3
---R                 (b x + a)
---R          *
---R                      - n
---R             (d x + c)
---R      *
---R           n log(d x + c)
---R         %e
---R     + 
---R             3 3     2     2       2 2     3 3  2
---R           (a d  - 3a b c d  + 3a b c d - b c )n
---R         + 
---R                3 3      2     2        2 2      3 3       3 3      2     2
---R           (- 5a d  + 15a b c d  - 15a b c d + 5b c )n + 6a d  - 18a b c d
---R         + 
---R                2 2      3 3
---R           18a b c d - 6b c
---R      *
---R           (n - 4)log(b x + a)
---R         %e
---R  /
---R           3 3     2     2       2 2     3 3  2
---R         (a d  - 3a b c d  + 3a b c d - b c )n
---R       + 
---R              3 3      2     2        2 2      3 3       3 3      2     2
---R         (- 5a d  + 15a b c d  - 15a b c d + 5b c )n + 6a d  - 18a b c d
---R       + 
---R              2 2      3 3
---R         18a b c d - 6b c
---R    *
---R         n log(d x + c)
---R       %e
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2572
 
@@ -56599,36 +56217,10 @@ m0000:=a0000 - r0000
 --E 2576
 
 --S 2577 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                              n - 2
---R               - b d (b x + a)
---R             + 
---R                          2                 2           n - 3
---R               ((a b d - b c)n - 2a b d + 2b c)(b x + a)
---R          *
---R                      - n + 1
---R             (d x + c)
---R         + 
---R                  2         n - 1
---R                 d (b x + a)
---R               + 
---R                        2                2                  n - 2
---R                 ((- a d  + b c d)n + a d  - b c d)(b x + a)
---R          *
---R                      - n
---R             (d x + c)
---R      *
---R           n log(d x + c)
---R         %e
---R     + 
---R        2 2               2 2       2 2                2 2   (n - 3)log(b x + a)
---R     ((a d  - 2a b c d + b c )n - 2a d  + 4a b c d - 2b c )%e
---R  /
---R        2 2               2 2       2 2                2 2   n log(d x + c)
---R     ((a d  - 2a b c d + b c )n - 2a d  + 4a b c d - 2b c )%e
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2577
 
@@ -56686,21 +56278,10 @@ m0000:=a0000 - r0000
 --E 2581
 
 --S 2582 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                     n - 2         - n + 1              n - 1         - n
---R         (b (b x + a)     (d x + c)        - d (b x + a)     (d x + c)   )
---R      *
---R           n log(d x + c)
---R         %e
---R     + 
---R                    (n - 2)log(b x + a)
---R       (a d - b c)%e
---R  /
---R                  n log(d x + c)
---R     (a d - b c)%e
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2582
 
@@ -56725,15 +56306,7 @@ t0000:=(a+b*x)^(-1+n)/(c+d*x)^n
 --E 2584
 
 --S 2585 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x            n - 1
---R         ++  (%BJ b + a)
---R   (2)   |   ---------------- d%BJ
---R        ++                n
---R               (%BJ d + c)
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2585
 
 --S 2586 of 2952
@@ -56765,15 +56338,7 @@ t0000:=(a+b*x)^n/(c+d*x)^n
 --E 2589
 
 --S 2590 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x            n
---R         ++  (%BJ b + a)
---R   (2)   |   ------------ d%BJ
---R        ++              n
---R             (%BJ d + c)
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2590
 
 --S 2591 of 2952
@@ -56806,15 +56371,7 @@ t0000:=(a+b*x)^(1+n)/(c+d*x)^n
 --E 2594
 
 --S 2595 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x            n + 1
---R         ++  (%BJ b + a)
---R   (2)   |   ---------------- d%BJ
---R        ++                n
---R               (%BJ d + c)
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2595
 
 --S 2596 of 2952
@@ -56848,15 +56405,7 @@ t0000:=(a+b*x)^(2+n)/(c+d*x)^n
 --E 2599
 
 --S 2600 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x            n + 2
---R         ++  (%BJ b + a)
---R   (2)   |   ---------------- d%BJ
---R        ++                n
---R               (%BJ d + c)
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2600
 
 --S 2601 of 2952
@@ -56887,15 +56436,7 @@ t0000:=(c+d*x)^n/(a+b*x)^n
 --E 2604
 
 --S 2605 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x            n
---R         ++  (%BJ d + c)
---R   (2)   |   ------------ d%BJ
---R        ++              n
---R             (%BJ b + a)
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2605
 
 --S 2606 of 2952
@@ -56925,14 +56466,7 @@ t0000:=(a+b*x)^(-1-n)*(c+d*x)^n
 --E 2609
 
 --S 2610 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x
---R         ++             - n - 1           n
---R   (2)   |   (%BJ b + a)       (%BJ d + c) d%BJ
---R        ++
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2610
 
 --S 2611 of 2952
@@ -56992,17 +56526,10 @@ m0000:=a0000 - r0000
 --E 2616
 
 --S 2617 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                    (- n - 2)log(b x + a)  n log(d x + c)
---R       (a d - b c)%e                     %e
---R     + 
---R                  - n - 2         n + 1              - n - 1         n
---R       b (b x + a)       (d x + c)      - d (b x + a)       (d x + c)
---R  /
---R     a d - b c
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2617
 
@@ -57094,36 +56621,10 @@ m0000:=a0000 - r0000
 --E 2621
 
 --S 2622 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R            2 2               2 2       2 2                2 2
---R         ((a d  - 2a b c d + b c )n + 2a d  - 4a b c d + 2b c )
---R      *
---R           (- n - 3)log(b x + a)  n log(d x + c)
---R         %e                     %e
---R     + 
---R                          - n - 2
---R             b d (b x + a)
---R           + 
---R                        2                 2           - n - 3
---R             ((a b d - b c)n + 2a b d - 2b c)(b x + a)
---R      *
---R                  n + 1
---R         (d x + c)
---R     + 
---R              2         - n - 1
---R           - d (b x + a)
---R         + 
---R                  2                2                  - n - 2
---R           ((- a d  + b c d)n - a d  + b c d)(b x + a)
---R      *
---R                  n
---R         (d x + c)
---R  /
---R       2 2               2 2       2 2                2 2
---R     (a d  - 2a b c d + b c )n + 2a d  - 4a b c d + 2b c
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2622
 
@@ -57298,66 +56799,10 @@ m0000:=a0000 - r0000
 --E 2626
 
 --S 2627 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R             3 3     2     2       2 2     3 3  2
---R           (a d  - 3a b c d  + 3a b c d - b c )n
---R         + 
---R              3 3      2     2        2 2      3 3       3 3      2     2
---R           (5a d  - 15a b c d  + 15a b c d - 5b c )n + 6a d  - 18a b c d
---R         + 
---R                2 2      3 3
---R           18a b c d - 6b c
---R      *
---R           (- n - 4)log(b x + a)  n log(d x + c)
---R         %e                     %e
---R     + 
---R               2         - n - 2
---R           2b d (b x + a)
---R         + 
---R                   2     2              2     2             - n - 3
---R           ((2a b d  - 2b c d)n + 4a b d  - 4b c d)(b x + a)
---R         + 
---R                 2   2       2       3 2  2      2   2        2        3 2
---R               (a b d  - 2a b c d + b c )n  + (5a b d  - 10a b c d + 5b c )n
---R             + 
---R                 2   2        2        3 2
---R               6a b d  - 12a b c d + 6b c
---R          *
---R                      - n - 4
---R             (b x + a)
---R      *
---R                  n + 1
---R         (d x + c)
---R     + 
---R               3         - n - 1
---R           - 2d (b x + a)
---R         + 
---R                   3         2         3         2          - n - 2
---R           ((- 2a d  + 2b c d )n - 2a d  + 2b c d )(b x + a)
---R         + 
---R                   2 3           2    2 2   2        2 3           2     2 2
---R               (- a d  + 2a b c d  - b c d)n  + (- 3a d  + 6a b c d  - 3b c d)n
---R             + 
---R                   2 3           2     2 2
---R               - 2a d  + 4a b c d  - 2b c d
---R          *
---R                      - n - 3
---R             (b x + a)
---R      *
---R                  n
---R         (d x + c)
---R  /
---R         3 3     2     2       2 2     3 3  2
---R       (a d  - 3a b c d  + 3a b c d - b c )n
---R     + 
---R          3 3      2     2        2 2      3 3       3 3      2     2
---R       (5a d  - 15a b c d  + 15a b c d - 5b c )n + 6a d  - 18a b c d
---R     + 
---R            2 2      3 3
---R       18a b c d - 6b c
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2627
 
@@ -57614,105 +57059,10 @@ m0000:=a0000 - r0000
 --E 2631
 
 --S 2632 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R             4 4     3     3     2 2 2 2       3 3     4 4  3
---R           (a d  - 4a b c d  + 6a b c d  - 4a b c d + b c )n
---R         + 
---R              4 4      3     3      2 2 2 2        3 3      4 4  2
---R           (9a d  - 36a b c d  + 54a b c d  - 36a b c d + 9b c )n
---R         + 
---R               4 4       3     3       2 2 2 2         3 3       4 4        4 4
---R           (26a d  - 104a b c d  + 156a b c d  - 104a b c d + 26b c )n + 24a d
---R         + 
---R                3     3       2 2 2 2        3 3       4 4
---R           - 96a b c d  + 144a b c d  - 96a b c d + 24b c
---R      *
---R           (- n - 5)log(b x + a)  n log(d x + c)
---R         %e                     %e
---R     + 
---R               3         - n - 2
---R           6b d (b x + a)
---R         + 
---R                   3     2   2            3      2   2          - n - 3
---R           ((6a b d  - 6b c d )n + 12a b d  - 12b c d )(b x + a)
---R         + 
---R                  2   3       2   2     3 2   2
---R               (3a b d  - 6a b c d  + 3b c d)n
---R             + 
---R                   2   3        2   2      3 2         2   3        2   2
---R               (15a b d  - 30a b c d  + 15b c d)n + 18a b d  - 36a b c d
---R             + 
---R                  3 2
---R               18b c d
---R          *
---R                      - n - 4
---R             (b x + a)
---R         + 
---R                 3   3     2 2   2       3 2     4 3  3
---R               (a b d  - 3a b c d  + 3a b c d - b c )n
---R             + 
---R                  3   3      2 2   2        3 2      4 3  2
---R               (9a b d  - 27a b c d  + 27a b c d - 9b c )n
---R             + 
---R                   3   3      2 2   2        3 2       4 3        3   3
---R               (26a b d  - 78a b c d  + 78a b c d - 26b c )n + 24a b d
---R             + 
---R                    2 2   2        3 2       4 3
---R               - 72a b c d  + 72a b c d - 24b c
---R          *
---R                      - n - 5
---R             (b x + a)
---R      *
---R                  n + 1
---R         (d x + c)
---R     + 
---R               4         - n - 1
---R           - 6d (b x + a)
---R         + 
---R                   4         3         4         3          - n - 2
---R           ((- 6a d  + 6b c d )n - 6a d  + 6b c d )(b x + a)
---R         + 
---R                    2 4           3     2 2 2  2
---R               (- 3a d  + 6a b c d  - 3b c d )n
---R             + 
---R                    2 4            3     2 2 2       2 4            3     2 2 2
---R               (- 9a d  + 18a b c d  - 9b c d )n - 6a d  + 12a b c d  - 6b c d
---R          *
---R                      - n - 3
---R             (b x + a)
---R         + 
---R                   3 4     2     3       2 2 2    3 3   3
---R               (- a d  + 3a b c d  - 3a b c d  + b c d)n
---R             + 
---R                    3 4      2     3        2 2 2     3 3   2
---R               (- 6a d  + 18a b c d  - 18a b c d  + 6b c d)n
---R             + 
---R                     3 4      2     3        2 2 2      3 3        3 4
---R               (- 11a d  + 33a b c d  - 33a b c d  + 11b c d)n - 6a d
---R             + 
---R                  2     3        2 2 2     3 3
---R               18a b c d  - 18a b c d  + 6b c d
---R          *
---R                      - n - 4
---R             (b x + a)
---R      *
---R                  n
---R         (d x + c)
---R  /
---R         4 4     3     3     2 2 2 2       3 3     4 4  3
---R       (a d  - 4a b c d  + 6a b c d  - 4a b c d + b c )n
---R     + 
---R          4 4      3     3      2 2 2 2        3 3      4 4  2
---R       (9a d  - 36a b c d  + 54a b c d  - 36a b c d + 9b c )n
---R     + 
---R           4 4       3     3       2 2 2 2         3 3       4 4        4 4
---R       (26a d  - 104a b c d  + 156a b c d  - 104a b c d + 26b c )n + 24a d
---R     + 
---R            3     3       2 2 2 2        3 3       4 4
---R       - 96a b c d  + 144a b c d  - 96a b c d + 24b c
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2632
 
@@ -57737,15 +57087,7 @@ t0000:=(a+b*x)^n/(c+d*x)^n
 --E 2634
 
 --S 2635 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x            n
---R         ++  (%BJ b + a)
---R   (2)   |   ------------ d%BJ
---R        ++              n
---R             (%BJ d + c)
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2635
 
 --S 2636 of 2952
@@ -57775,14 +57117,7 @@ t0000:=(a+b*x)^n*(c+d*x)^(-1-n)
 --E 2639
 
 --S 2640 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x
---R         ++             n           - n - 1
---R   (2)   |   (%BJ b + a) (%BJ d + c)       d%BJ
---R        ++
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2640
 
 --S 2641 of 2952
@@ -57843,17 +57178,10 @@ m0000:=a0000 - r0000
 --E 2646
 
 --S 2647 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R                    (- n - 2)log(d x + c)  n log(b x + a)
---R       (a d - b c)%e                     %e
---R     + 
---R                  n         - n - 1              n + 1         - n - 2
---R       b (b x + a) (d x + c)        - d (b x + a)     (d x + c)
---R  /
---R     a d - b c
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2647
 
@@ -57945,30 +57273,10 @@ m0000:=a0000 - r0000
 --E 2651
 
 --S 2652 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R            2 2               2 2       2 2                2 2
---R         ((a d  - 2a b c d + b c )n + 2a d  - 4a b c d + 2b c )
---R      *
---R           (- n - 3)log(d x + c)  n log(b x + a)
---R         %e                     %e
---R     + 
---R          2         n         - n - 1
---R       - b (b x + a) (d x + c)
---R     + 
---R                       n + 1              2               2           n
---R         (b d (b x + a)      + ((a b d - b c)n + a b d - b c)(b x + a) )
---R      *
---R                  - n - 2
---R         (d x + c)
---R     + 
---R              2                 2                   n + 1         - n - 3
---R       ((- a d  + b c d)n - 2a d  + 2b c d)(b x + a)     (d x + c)
---R  /
---R       2 2               2 2       2 2                2 2
---R     (a d  - 2a b c d + b c )n + 2a d  - 4a b c d + 2b c
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2652
 
@@ -58137,66 +57445,10 @@ m0000:=a0000 - r0000
 --E 2656
 
 --S 2657 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R             3 3     2     2       2 2     3 3  2
---R           (a d  - 3a b c d  + 3a b c d - b c )n
---R         + 
---R              3 3      2     2        2 2      3 3       3 3      2     2
---R           (5a d  - 15a b c d  + 15a b c d - 5b c )n + 6a d  - 18a b c d
---R         + 
---R                2 2      3 3
---R           18a b c d - 6b c
---R      *
---R           (- n - 4)log(d x + c)  n log(b x + a)
---R         %e                     %e
---R     + 
---R         3         n         - n - 1
---R       2b (b x + a) (d x + c)
---R     + 
---R                 2           n + 1
---R             - 2b d (b x + a)
---R           + 
---R                     2      3          2      3           n
---R             ((- 2a b d + 2b c)n - 2a b d + 2b c)(b x + a)
---R      *
---R                  - n - 2
---R         (d x + c)
---R     + 
---R                   2     2              2     2             n + 1
---R           ((2a b d  - 2b c d)n + 4a b d  - 4b c d)(b x + a)
---R         + 
---R                 2   2       2       3 2  2      2   2       2        3 2
---R               (a b d  - 2a b c d + b c )n  + (3a b d  - 6a b c d + 3b c )n
---R             + 
---R                 2   2       2        3 2
---R               2a b d  - 4a b c d + 2b c
---R          *
---R                      n
---R             (b x + a)
---R      *
---R                  - n - 3
---R         (d x + c)
---R     + 
---R               2 3           2    2 2   2        2 3            2     2 2
---R           (- a d  + 2a b c d  - b c d)n  + (- 5a d  + 10a b c d  - 5b c d)n
---R         + 
---R               2 3            2     2 2
---R           - 6a d  + 12a b c d  - 6b c d
---R      *
---R                  n + 1         - n - 4
---R         (b x + a)     (d x + c)
---R  /
---R         3 3     2     2       2 2     3 3  2
---R       (a d  - 3a b c d  + 3a b c d - b c )n
---R     + 
---R          3 3      2     2        2 2      3 3       3 3      2     2
---R       (5a d  - 15a b c d  + 15a b c d - 5b c )n + 6a d  - 18a b c d
---R     + 
---R            2 2      3 3
---R       18a b c d - 6b c
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2657
 
@@ -58447,105 +57699,10 @@ m0000:=a0000 - r0000
 --E 2661
 
 --S 2662 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R             4 4     3     3     2 2 2 2       3 3     4 4  3
---R           (a d  - 4a b c d  + 6a b c d  - 4a b c d + b c )n
---R         + 
---R              4 4      3     3      2 2 2 2        3 3      4 4  2
---R           (9a d  - 36a b c d  + 54a b c d  - 36a b c d + 9b c )n
---R         + 
---R               4 4       3     3       2 2 2 2         3 3       4 4        4 4
---R           (26a d  - 104a b c d  + 156a b c d  - 104a b c d + 26b c )n + 24a d
---R         + 
---R                3     3       2 2 2 2        3 3       4 4
---R           - 96a b c d  + 144a b c d  - 96a b c d + 24b c
---R      *
---R           (- n - 5)log(d x + c)  n log(b x + a)
---R         %e                     %e
---R     + 
---R           4         n         - n - 1
---R       - 6b (b x + a) (d x + c)
---R     + 
---R            3           n + 1         3      4          3      4           n
---R         (6b d (b x + a)      + ((6a b d - 6b c)n + 6a b d - 6b c)(b x + a) )
---R      *
---R                  - n - 2
---R         (d x + c)
---R     + 
---R                   2 2     3             2 2      3             n + 1
---R           ((- 6a b d  + 6b c d)n - 12a b d  + 12b c d)(b x + a)
---R         + 
---R                    2 2 2       3        4 2  2
---R               (- 3a b d  + 6a b c d - 3b c )n
---R             + 
---R                    2 2 2        3        4 2       2 2 2        3        4 2
---R               (- 9a b d  + 18a b c d - 9b c )n - 6a b d  + 12a b c d - 6b c
---R          *
---R                      n
---R             (b x + a)
---R      *
---R                  - n - 3
---R         (d x + c)
---R     + 
---R                  2   3       2   2     3 2   2
---R               (3a b d  - 6a b c d  + 3b c d)n
---R             + 
---R                   2   3        2   2      3 2         2   3        2   2
---R               (15a b d  - 30a b c d  + 15b c d)n + 18a b d  - 36a b c d
---R             + 
---R                  3 2
---R               18b c d
---R          *
---R                      n + 1
---R             (b x + a)
---R         + 
---R                 3   3     2 2   2       3 2     4 3  3
---R               (a b d  - 3a b c d  + 3a b c d - b c )n
---R             + 
---R                  3   3      2 2   2        3 2      4 3  2
---R               (6a b d  - 18a b c d  + 18a b c d - 6b c )n
---R             + 
---R                   3   3      2 2   2        3 2       4 3       3   3
---R               (11a b d  - 33a b c d  + 33a b c d - 11b c )n + 6a b d
---R             + 
---R                    2 2   2        3 2      4 3
---R               - 18a b c d  + 18a b c d - 6b c
---R          *
---R                      n
---R             (b x + a)
---R      *
---R                  - n - 4
---R         (d x + c)
---R     + 
---R               3 4     2     3       2 2 2    3 3   3
---R           (- a d  + 3a b c d  - 3a b c d  + b c d)n
---R         + 
---R                3 4      2     3        2 2 2     3 3   2
---R           (- 9a d  + 27a b c d  - 27a b c d  + 9b c d)n
---R         + 
---R                 3 4      2     3        2 2 2      3 3         3 4      2     3
---R           (- 26a d  + 78a b c d  - 78a b c d  + 26b c d)n - 24a d  + 72a b c d
---R         + 
---R                  2 2 2      3 3
---R           - 72a b c d  + 24b c d
---R      *
---R                  n + 1         - n - 5
---R         (b x + a)     (d x + c)
---R  /
---R         4 4     3     3     2 2 2 2       3 3     4 4  3
---R       (a d  - 4a b c d  + 6a b c d  - 4a b c d + b c )n
---R     + 
---R          4 4      3     3      2 2 2 2        3 3      4 4  2
---R       (9a d  - 36a b c d  + 54a b c d  - 36a b c d + 9b c )n
---R     + 
---R           4 4       3     3       2 2 2 2         3 3       4 4        4 4
---R       (26a d  - 104a b c d  + 156a b c d  - 104a b c d + 26b c )n + 24a d
---R     + 
---R            3     3       2 2 2 2        3 3       4 4
---R       - 96a b c d  + 144a b c d  - 96a b c d + 24b c
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2662
 
@@ -58575,14 +57732,7 @@ t0000:=(a+b*x)^(-2+n)*(c+d*x)^(1-n)
 --E 2664
 
 --S 2665 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x
---R         ++             n - 2           - n + 1
---R   (2)   |   (%BJ b + a)     (%BJ d + c)       d%BJ
---R        ++
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2665
 
 --S 2666 of 2952
@@ -58615,14 +57765,7 @@ t0000:=(a+b*x)^(1+n)*(c+d*x)^(-1-n)
 --E 2669
 
 --S 2670 of 2952
-a0000:=integrate(t0000,x)
---R 
---R
---R           x
---R         ++             n + 1           - n - 1
---R   (2)   |   (%BJ b + a)     (%BJ d + c)       d%BJ
---R        ++
---R                                         Type: Union(Expression(Integer),...)
+--a0000:=integrate(t0000,x)
 --E 2670
 
 --S 2671 of 2952
@@ -59572,21 +58715,10 @@ m0000:=a0000 - r0000
 --E 2756
 
 --S 2757 of 2952
-d0000:=D(m0000,x)
+d0000:=normalize m0000
 --R 
 --R
---R   (5)
---R           5 5 5       4 5 4      2 3 5 3      3 2 5 2     4   5     5 5
---R         (b c x  + 5a b c x  + 10a b c x  + 10a b c x  + 5a b c x + a c )
---R      *
---R           n log(b c x + a c)
---R         %e
---R     + 
---R                      n + 5
---R       - (b c x + a c)
---R  /
---R      5
---R     c
+--R   (5)  0
 --R                                                    Type: Expression(Integer)
 --E 2757
 
@@ -60244,14 +59376,40 @@ r0000:=1/3*log(2+3*x)*sqrt(2+3*x)/sqrt(-2-3*x)
 
 --S 2815 of 2952
 --a0000:=integrate(t0000,x)
+-- 
+--
+--                         3      2
+--                      27x  + 54x  + 24x
+--        atan(-----------------------------------)
+--                2            +--------+ +------+
+--             (9x  + 12x + 8)\|- 3x - 2 \|3x + 2
+--   (3)  -----------------------------------------
+--                            3
+--                                         Type: Union(Expression(Integer),...)
 --E 2815
 
 --S 2816 of 2952
 --m0000:=a0000 - r0000
+-- 
+--
+--   (4)
+--                               3      2
+--    +--------+              27x  + 54x  + 24x                         +------+
+--   \|- 3x - 2 atan(-----------------------------------) - log(3x + 2)\|3x + 2
+--                      2            +--------+ +------+
+--                   (9x  + 12x + 8)\|- 3x - 2 \|3x + 2
+--   ---------------------------------------------------------------------------
+--                                     +--------+
+--                                   3\|- 3x - 2
+--                                                    Type: Expression(Integer)
 --E 2816
 
 --S 2817 of 2952
 --d0000:=D(m0000,x)
+-- 
+--
+--   (5)  0
+--                                                    Type: Expression(Integer)
 --E 2817
 
 )clear all
